function [normals] = calculate_normal(vertices,coordinates)

[row col] = size(vertices);

for i=1:row
    vector_1 = coordinates(vertices(i,2),:)- coordinates(vertices(i,1),:);
    vector_2 = coordinates(vertices(i,3),:) - coordinates(vertices(i,1),:);
    normal_vector = cross(vector_1,vector_2);
    normal_vector = normal_vector/((normal_vector(1,1)^2 + normal_vector(1,2)^2 + normal_vector(1,3)^2 )^0.5);
    if i==1
       normals = normal_vector;
    else
       normals = [normals;normal_vector];
    end
end