function [coordinates,vertices,WRLfilename] = extracting_wrl

clear ;

fid = 0;
while fid < 1 
    WRLfilename = input ('Open file for WRL data:', 's');
    [fid,message] =fopen(WRLfilename, 'r');
    if fid == -1
        disp(message);
    end
end

loop_matches = 0;
loop_matches_2 = 0;
start_writing_coordinates = 0;
stop_writing_coordinates = 0;
start_writing_vertices = 0;
stop_writing_vertices =0;
while feof(fid) == 0
   tline = fgetl(fid);
   matches = findstr(tline, 'point  [');
   end_line = findstr(tline, ']}');
   
   %%% WRITING DOWN COORDINATES
   if matches == 1
      start_writing_coordinates = 1;
   end
   if end_line == 1
      if start_writing_coordinates == 0
        stop_writing_coordinates = 0;
      elseif start_writing_coordinates == 1
        start_writing_coordinates = 0;
        stop_writing_coordinates =1;
      end
   end
   if (start_writing_coordinates == 1) & (stop_writing_coordinates == 0)
      loop_matches = loop_matches + 1;
      if loop_matches == 1
         coordinates = str2num(tline)*1000;
      else
         coordinates = [coordinates;str2num(tline)*1000];
      end
   end
  
   %%% WRITING DOWN VERTICES ARRANGEMENT
   matches_2 = findstr(tline, 'coordIndex');
   end_line_2 = findstr(tline, ']');
   if matches_2 == 1
      start_writing_vertices = 1;
   end
   if end_line_2 == 1
      if start_writing_vertices == 0
        stop_writing_vertices = 0;  
      elseif start_writing_vertices == 1
        start_writing_vertices = 0;
        stop_writing_vertices =1;
      end
   end
   if (start_writing_vertices == 1) & (stop_writing_vertices == 0)
      loop_matches_2 = loop_matches_2 + 1;
      if loop_matches_2 == 2
         list = str2num(strrep(tline,',',' '))+1;
         vertices =[list(1,1:3);list(1,5:7);list(1,9:11)];
      elseif loop_matches_2 > 2
         list = str2num(strrep(tline,',',' '))+1;
         [row col] = size(list);
         for i = 1:(col/4)
            vertices = [vertices;list(1,(4*i-3):(4*i-1))];
         end
      end
   end
     
end
fclose(fid);
