function [CS_bspline,center] = creating_CS_bspline(UAF_3D_elements,UAM_3D_elements,E_3D_elements,LAM_3D_elements,LAF_3D_elements)

[control_points,knots,t_parameter]=bspline_interpolation_3D([UAF_3D_elements;UAF_3D_elements(1,:)]);
[coordinates_bspline_UAF_135] = drawing_bspline_3D(knots,control_points);
[control_points,knots,t_parameter]=bspline_interpolation_3D([UAM_3D_elements;UAM_3D_elements(1,:)]);
[coordinates_bspline_UAM_135] = drawing_bspline_3D(knots,control_points);
[control_points,knots,t_parameter]=bspline_interpolation_3D([E_3D_elements;E_3D_elements(1,:)]);
[coordinates_bspline_E_135] = drawing_bspline_3D(knots,control_points);
[control_points,knots,t_parameter]=bspline_interpolation_3D([LAM_3D_elements;LAM_3D_elements(1,:)]);
[coordinates_bspline_LAM_135] = drawing_bspline_3D(knots,control_points);
[control_points,knots,t_parameter]=bspline_interpolation_3D([LAF_3D_elements;LAF_3D_elements(1,:)]);
[coordinates_bspline_LAF_135] = drawing_bspline_3D(knots,control_points);


CS_bspline_for_center = [coordinates_bspline_UAF_135 coordinates_bspline_UAM_135 coordinates_bspline_LAM_135 coordinates_bspline_LAF_135];
for i=1:4
    each_center = CS_bspline_for_center(:,(3*i-2):3*i);
    x = (max(each_center(:,1))-min(each_center(:,1)))*0.5+min(each_center(:,1));
    y = (max(each_center(:,2))-min(each_center(:,2)))*0.5+min(each_center(:,2));
    z = (max(each_center(:,3))-min(each_center(:,3)))*0.5+min(each_center(:,3));
    center(i,1:3) = [x y z];
end

CS_bspline = [coordinates_bspline_UAF_135 coordinates_bspline_UAM_135  coordinates_bspline_E_135  coordinates_bspline_LAM_135  coordinates_bspline_LAF_135];

