clear all
% savefile = strcat('C:\MATLAB7\work\PROFILE VALIDATION\PROFILE PREDICTION\sampling_all_any_',num2str(any_angle),'.mat')
% 
% load('C:\MATLAB7\work\PROFILE VALIDATION\PROFILE PREDICTION\sampling_all_any_')
% load('C:\MATLAB7\work\INITIAL INPUT\unit_vector.mat')

file = dir('C:\MATLAB7\work\PROFILE VALIDATION\PROFILE ACTUAL\*.txt')
file_names = char(file.name);
[row_file_names col_file_names] = size(file_names);

for i=1:row_file_names
    %% open the text file
    fullfile(matlabroot,'work\PROFILE VALIDATION\PROFILE ACTUAL\',file_names(i,:));
    fid=fopen(fullfile(matlabroot,'work\PROFILE VALIDATION\PROFILE ACTUAL\',file_names(i,:)));
    profile_actual = fscanf(fid, '%f %f %f',[3 inf]);
    profile_actual = profile_actual';
    fclose(fid);
    
    %% get the angle from the file name    
    loc_1 = findstr(file_names(i,:),'.');
    loc_1 = loc_1-1;
    loc_2 = findstr(file_names(i,:),'_');
    [not_used col_loc_2] = size(loc_2);
    loc_2 = loc_2(1,col_loc_2)+1;
    angle = str2num(file_names(i,loc_2:loc_1));    
    [sampling_all_any,profile_coordinates_modified_any] = profile_any_posture_version_validation(angle);
    
    %% create bspline from profile_actual
    bezier = bspline_to_bezier(profile_actual)
    [bezier_coordinates] = drawing_bezier_3D(bezier);

    %% using sampling_all_any, center point and vector, make the
    %% intersection with the bspline. keep the intersection list
    [row_sampling_all_any    col_sampling_all_any] = size(sampling_all_any);
    [row_bezier  col_bezier] = size(bezier);
    for j=1:row_sampling_all_any
%         [sub_bezier_with_int,intersection] = sub_bezier_line_intersection_non_zero_origin([bezier(:,2) bezier(:,3)],sampling_all_any(j,1:2), sampling_all_any(j,3:4));
        [intersection,sub_bezier_with_int] = bezier_line_intersection_non_zero_origin([bezier(:,2) bezier(:,3)],sampling_all_any(j,1:2), sampling_all_any(j,3:4))
        all_intersection_for_profile_actual(j,1:3) = [0 intersection];
    end
    
    %% calculate the distance between profile_actual and intersection list
    distance_difference = all_intersection_for_profile_actual-profile_coordinates_modified_any
    [row_distance_difference col_distance_difference] = size(distance_difference)
    sum_error_per_profile = 0;
    for k=1:row_distance_difference
        error = dot(distance_difference(k,:),distance_difference(k,:))^0.5
        sum_error_per_profile = sum_error_per_profile + error;
        error_all(k,:) = error;
    end
    sum_error_all(i,1:4) = [angle sum_error_per_profile/row_distance_difference max(error_all) min(error_all)]
    error_all
    all_intersection_for_profile_actual
    clear all_intersection_for_profile_actual error_all
end

% savefile = fullfile(matlabroot,'work\PROFILE VALIDATION\', strcat(file_names(i,1:(loc_2-2)),'.mat'))
savefile = fullfile(matlabroot,'work\PROFILE VALIDATION',strcat(file_names(i,1:(loc_2-2)),'.mat'))
save(savefile,'sum_error_all')