function [profile_left,profile_right] = WRL_profile_side_version_2(coordinates,index_height)

profile_right = zeros(max(index_height),3);
profile_left = profile_right;

for i = min(index_height):max(index_height)
    list = find(index_height == i);
    [row col] = size(list);
    coordinates_list = zeros(row,3);
    for j = 1:row
        coordinates_list(j,:) = coordinates(list(j,1),:);
    end
    [val index_min] = min(coordinates_list(:,3));
    [val index_max] = max(coordinates_list(:,3));
    profile_right(i,1:3) = [0 coordinates_list(index_min,2) coordinates_list(index_min,3)];
    profile_left(i,1:3) = [0 coordinates_list(index_max,2) coordinates_list(index_max,3)];
end