function [intersection_point_final] = sampling_WRL(E_rays,normal,vertices,coordinates,E_rays_center)


[row col] = size(vertices);
E_rays = 100*(E_rays-E_rays_center)+E_rays_center; 
intersection_point_final = [0 0 0];
for i=1:row
    point_1 = coordinates(vertices(i,1),:);
    point_2 = coordinates(vertices(i,2),:);
    point_3 = coordinates(vertices(i,3),:);
    plane_coef = -dot(point_1,normal(i,:));
    if dot(normal(i,:),E_rays) ~= 0 
       intersection = (plane_coef + dot(E_rays_center,normal(i,:)))/dot(normal(i,:),(E_rays_center-E_rays)) ; 
       if intersection > 0
          intersection_point = E_rays_center + intersection*(E_rays-E_rays_center); 
          a = point_1-intersection_point;
          a = a/(dot(a,a)^0.5);
          b = point_2-intersection_point;
          b = b/(dot(b,b)^0.5);
          c = point_3-intersection_point;
          c = c/(dot(c,c)^0.5);
          angle_total = (acos(dot(a,b))+acos(dot(a,c))+acos(dot(b,c)))*180/pi;
          if round(angle_total) == 360
             intersection_point_final = intersection_point;
          break
          end
       end
    end 
end

