function [UAF,UAM,E,LAM,LAF] = PCA_prediction_version_2(UAF_dist,UAM_dist,E_dist,LAM_dist,LAF_dist,race,gender,optimum_angle_LAF)

[col_closest_subject,closest_subject,UAF_neu,UAM_neu,UAF_neu_max_dimension, UAM_neu_max_dimension] = UAM_closest_subject(UAM_dist,UAF_dist,race,gender);

[UAF,UAM] = version_3_UAF_creation(col_closest_subject,closest_subject,race,gender,UAF_neu,UAM_neu,UAF_neu_max_dimension, UAM_neu_max_dimension);


[transformed_value]=E_PCA(E_dist,race,gender);
if race == 0
    if gender == 0
        load ('C:\MATLAB7\work\INITIAL INPUT\PCA_e_neu_asian_female.mat');
    else
        load ('C:\MATLAB7\work\INITIAL INPUT\PCA_e_neu_asian_male.mat'); 
    end
else
    if gender == 0        
        load ('C:\MATLAB7\work\INITIAL INPUT\PCA_e_neu_caucasian_female.mat'); 
    else
        load ('C:\MATLAB7\work\INITIAL INPUT\PCA_e_neu_caucasian_male.mat'); 
    end
end

[subject1_index,subject2_index,subject1_PCA,subject2_PCA] = get_matching_subject (transformed_value,PCA_neu);
[final_matrix_after_transformed] = load_e_48pts(subject1_index,subject2_index,race,gender);

[row col] = size(final_matrix_after_transformed);
if col ~=1 
    [E_135,E_90,E_max] = CS_prediction(final_matrix_after_transformed,subject1_PCA,subject2_PCA,transformed_value);
else
    [subject1_retransformed]=PCA_to_E(subject1_PCA,race,gender);
    [E_135,E_90,E_max] = CS_extrapolation(final_matrix_after_transformed,subject1_retransformed,E_dist);
end
E = [E_135 E_90 E_max]; 


[col_closest_subject,closest_subject,LAF_neu,LAM_neu,LAF_neu_max_dimension, LAM_neu_max_dimension] = LAM_closest_subject_ratio(LAM_dist,LAF_dist,race,gender);


[LAF,LAM] = version_3_LAF_creation(col_closest_subject,closest_subject,race,gender,LAF_neu,LAM_neu,LAF_neu_max_dimension, LAM_neu_max_dimension);


