function [subject1_index,subject2_index,subject1_PCA,subject2_PCA] = get_matching_subject (transformed_value,PCA_neu)

[row col] = size(PCA_neu);
if row <= 2
    if transformed_value > PCA_neu(1,1)
        subject1_index = PCA_neu(row,1);
        subject2_index = subject1_index;
        subject1_PCA = PCA_neu(1,1);
        subject2_PCA = subject1_PCA;
    elseif transformed_value < PCA_neu(1,col)
        subject1_index = PCA_neu(row,col);
        subject2_index = subject1_index;
        subject1_PCA = PCA_neu(1,col);
        subject2_PCA = subject1_PCA;
    else 
        for i=1:col
            sign = (transformed_value - PCA_neu(1,i))*-1;
            if sign > 0
                sign_now = -1;
            else
                sign_now = 1;
            end
            if i ~= 1;
                if sign_before ~= sign_now, break, end
            end
            sign_before = sign_now;
        end
        subject1_index = PCA_neu(row,i-1);
        subject2_index = PCA_neu(row,i);
        subject1_PCA = PCA_neu(1,i-1);
        subject2_PCA = PCA_neu(1,i);
    end 
else
    for j=1:col
        vector = [PCA_neu(1,j)-transformed_value(1,1) PCA_neu(2,j)-transformed_value(2,1)];
        val = (dot(vector,vector))^0.5;
        val_all(1,j) = val;           
    end
    [result index] = sort(val_all,'ascend')
    subject1_index = PCA_neu(row,index(1,1))
    subject1_PCA = PCA_neu(1:row-1,index(1,1))
    subject2_index = PCA_neu(row,index(1,2))
    subject2_PCA = PCA_neu(1:row-1,index(1,2))    
end


