function [new_points] = resample_CS(UAF_points)

UAF_points = [UAF_points;UAF_points(1,:)]; %% to make a full circle for the cross section
[control_points,knots,t_parameter]=bspline_interpolation(UAF_points);
[ext_knots,bezier_control_points] = knot_insertion(knots,control_points);

vector = [0 1 0];
original_point = [0 0];
for i=1:32
    [sampling_vector] = rotation_about_Z_axis(vector,-(2*pi/32)*(i-1));
    [intersection,sub_bezier_with_int] = bezier_line_intersection(bezier_control_points,sampling_vector(1,1:2));
    new_points(i,:) = intersection;
end
