function [LAF,LAM] = version_3_LAF_creation(col_closest_subject,closest_subject,race,gender,LAF_wrl,LAM_wrl,LAF_wrl_max_dimension, LAM_wrl_max_dimension)


if race == 0
    if gender == 0
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_neu_LAFLAM_asian_female.mat')
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_135_LAFLAM_asian_female.mat')
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_90_LAFLAM_asian_female.mat')        
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_max_LAFLAM_asian_female.mat') 
    else
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_neu_LAFLAM_asian_male.mat')
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_135_LAFLAM_asian_male.mat')
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_90_LAFLAM_asian_male.mat')
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_max_LAFLAM_asian_male.mat')
    end
else
    if gender == 0
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_neu_LAFLAM_caucasian_female.mat')
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_135_LAFLAM_caucasian_female.mat')
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_90_LAFLAM_caucasian_female.mat')
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_max_LAFLAM_caucasian_female.mat')
    else
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_neu_LAFLAM_caucasian_male.mat')
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_135_LAFLAM_caucasian_male.mat')
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_90_LAFLAM_caucasian_male.mat')
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_max_LAFLAM_caucasian_male.mat')
    end
end

for i=1:3
    if i==1
       dimension_x = dimension_135_LAFLAM(5:6,closest_subject);
       dimension_y = dimension_135_LAFLAM(7:8,closest_subject);
    elseif i == 2
       dimension_x = dimension_90_LAFLAM(5:6,closest_subject);
       dimension_y = dimension_90_LAFLAM(7:8,closest_subject);
    else
       dimension_x = dimension_90_LAFLAM(5:6,closest_subject);
       dimension_y = dimension_90_LAFLAM(7:8,closest_subject);
    end    
    X_length_growth(i,1:2) = (dimension_x-dimension_neu_LAFLAM(5:6,closest_subject))';
    Y_length_growth(i,1:2) = (dimension_y-dimension_neu_LAFLAM(7:8,closest_subject))';    
end


for i=1:3
    upper_index = [1 2 3 4 14 15 16];
    lower_index = [6 7 8 9 10 11 12];
    base_LAF_length_1 = LAF_wrl_max_dimension(3,:);
    base_LAF_length_2 = LAF_wrl_max_dimension(4,:);
    new_LAF_length_1 = base_LAF_length_1 + Y_length_growth(i,1);
    new_LAF_length_2 = base_LAF_length_2 + Y_length_growth(i,2);
    ratio_upper = new_LAF_length_1/base_LAF_length_1;
    ratio_lower = new_LAF_length_2/base_LAF_length_2;
    for j = upper_index
        LAF(j,(3*i-1)) = LAF_wrl(j,2)*ratio_upper;
    end
    for j = lower_index
        LAF(j,(3*i-1)) = LAF_wrl(j,2)*ratio_lower;
    end
end

for i=1:3
    left_index = [10 11 12 13 14 15 16];
    right_index = [2 3 4 5 6 7 8];
    base_LAF_length_1 = LAF_wrl_max_dimension(1,:);
    base_LAF_length_2 = LAF_wrl_max_dimension(2,:);
    new_LAF_length_1 = base_LAF_length_1 + X_length_growth(i,1);
    new_LAF_length_2 = base_LAF_length_2 + X_length_growth(i,2);
    ratio_right = new_LAF_length_1/base_LAF_length_1;
    ratio_left = new_LAF_length_2/base_LAF_length_2;   
    for j = left_index
        LAF(j,(3*i-2)) = LAF_wrl(j,1)*ratio_left;
    end
    for j = right_index
        LAF(j,(3*i-2)) = LAF_wrl(j,1)*ratio_right;
    end
end

LAF=[LAF zeros(16,1)];
 
for i=1:3
    if i==1
       dimension_x = dimension_135_LAFLAM(1:2,closest_subject);
       dimension_y = dimension_135_LAFLAM(3:4,closest_subject);
    elseif i == 2
       dimension_x = dimension_90_LAFLAM(1:2,closest_subject);
       dimension_y = dimension_90_LAFLAM(3:4,closest_subject);
    else
       dimension_x = dimension_max_LAFLAM(1:2,closest_subject);
       dimension_y = dimension_max_LAFLAM(3:4,closest_subject);
    end   
    X_length_growth(i,1:2) = (dimension_x-dimension_neu_LAFLAM(1:2,closest_subject))';
    Y_length_growth(i,1:2) = (dimension_y-dimension_neu_LAFLAM(3:4,closest_subject))';    
end

%% Y 
for i=1:3
    upper_index = [1 2 3 4 14 15 16];
    lower_index = [6 7 8 9 10 11 12];
    base_LAM_length_1 = LAM_wrl_max_dimension(3,:);
    base_LAM_length_2 = LAM_wrl_max_dimension(4,:);
    new_LAM_length_1 = base_LAM_length_1 + Y_length_growth(i,1);             
    new_LAM_length_2 = base_LAM_length_2 + Y_length_growth(i,2);
    ratio_upper = new_LAM_length_1/base_LAM_length_1;
    ratio_lower = new_LAM_length_2/base_LAM_length_2;
    for j = upper_index
        LAM(j,(3*i-1)) = LAM_wrl(j,2)*ratio_upper;%%LAM(j,(3*i-1))*ratio_upper;
    end
    for j = lower_index
        LAM(j,(3*i-1)) = LAM_wrl(j,2)*ratio_lower;%%LAM(j,(3*i-1))*ratio_lower;
    end
end


for i=1:3
    left_index = [10 11 12 13 14 15 16];
    right_index = [2 3 4 5 6 7 8];
    base_LAM_length_1 = LAM_wrl_max_dimension(1,:);
    base_LAM_length_2 = LAM_wrl_max_dimension(2,:);
    new_LAM_length_1 = base_LAM_length_1 + X_length_growth(i,1);
    new_LAM_length_2 = base_LAM_length_2 + X_length_growth(i,2);
    ratio_left = new_LAM_length_1/base_LAM_length_1
    ratio_right = new_LAM_length_2/base_LAM_length_2
    for j = left_index
        LAM(j,(3*i-2)) = LAM_wrl(j,1)*ratio_left;%%LAM(j,(3*i-2))*ratio_left;
    end
    for j = right_index
        LAM(j,(3*i-2)) = LAM_wrl(j,1)*ratio_right;%%LAM(j,(3*i-2))*ratio_right;
    end
end

LAM = [LAM zeros(16,1)];


load ('C:\MATLAB7\work\OUTPUT\CS_distance.mat')
load ('C:\MATLAB7\work\OUTPUT\CS.mat')
load ('C:\MATLAB7\work\OUTPUT\profile.mat')

[LAF_distance_135] = lin_int_distance(LAF_distance_neutral,LAF_distance_max,arm_angle,135);
LAF_bone_point = LAF_distance_135*LAF_CS(2,:);

