function [new_UAF_CS,LAF_CS_all,E_CS_all] = calculate_arm_CS

load 'C:\MATLAB7\work\OUTPUT\CS_distance.mat'
load 'C:\MATLAB7\work\OUTPUT\CS.mat'

%% part 1
new_X = cross(UAF_CS(2,:),[0 0 1]);
new_X = new_X/(dot(new_X,new_X)^0.5);
new_Z = cross(new_X,UAF_CS(2,:));
new_Z = new_Z/(dot(new_Z,new_Z)^0.5);
new_UAF_CS = [new_X;UAF_CS(2,:);new_Z];

%% part 2
[carrying_angle_135,flexion_angle_135] = calculate_carrying_and_flexion(carrying_angle,arm_angle,135);
[carrying_angle_90,flexion_angle_90] = calculate_carrying_and_flexion(carrying_angle,arm_angle,90);
[carrying_angle_max,flexion_angle_max] = calculate_carrying_and_flexion(carrying_angle,arm_angle,35);

%% part 3
[euler_matrix] = create_euler_matrix(flexion_angle_135,carrying_angle_135,0);
new_vector_LA_135 = [0 -1 0]*euler_matrix*new_UAF_CS;
[euler_matrix] = create_euler_matrix(flexion_angle_90,carrying_angle_90,0);
new_vector_LA_90 = [0 -1 0]*euler_matrix*new_UAF_CS;
[euler_matrix] = create_euler_matrix(flexion_angle_max,carrying_angle_max,0);
new_vector_LA_max = [0 -1 0]*euler_matrix*new_UAF_CS;

%% part 4
[LAF_CS_all]= local_CS_other_key_postures ([new_vector_LA_135;new_vector_LA_90;new_vector_LA_max]);
[E_CS_all] = determine_E_CS_for_any_posture(UAF_CS(2,:),[new_vector_LA_135;new_vector_LA_90;new_vector_LA_max]);
