function [bspline_max,bspline_max_index] = bspline_max_side_view(CS_bspline_90,new_UAF_CS,E_CS_all_90,LAF_CS_all_90,distances_90)

CS_bspline_90 = [CS_bspline_90(:,2:3) CS_bspline_90(:,5:6)  CS_bspline_90(:,8:9)  CS_bspline_90(:,11:12)  CS_bspline_90(:,14:15)];

[row_bspline col] = size(CS_bspline_90);
for i=1:5
    each_CS = CS_bspline_90(:,(2*i-1):2*i);
    if i <= 2
       bone = new_UAF_CS(2,2:3);
       center = distances_90(i,1)*bone;
       bone_vector = -new_UAF_CS(2,2:3);
    elseif i == 3 
       bone = E_CS_all_90(2,2:3);
       center = 0*bone;
       bone_vector = -E_CS_all_90(2,2:3);
    else
       bone = LAF_CS_all_90(2,2:3);  
       center = distances_90(i-1,1)*bone;
       bone_vector = LAF_CS_all_90(2,2:3);
    end
    mbone = bone(:,1)/bone(:,2);
    count_inside = 0;
    count_outside = 0;
    for j=1:row_bspline
        if i ~= 3
            mpoint = -(1/mbone);
            bpoint = each_CS(j,1) - mpoint*each_CS(j,2);
            z = bpoint/(mbone-mpoint);
            y = mbone*z;
            vector = each_CS(j,:)-[y z];
            cross_vector = cross([0 bone_vector],[0 vector]);
        else
            vector = each_CS(j,:);
            cross_vector = cross([0 bone_vector],[0 vector]);
        end     
        if cross_vector(1,1) < 0        
            count_inside = count_inside+1;
            vector_difference = each_CS(j,:)-center;
            vector_length_inside(count_inside,1:2) = [dot(vector_difference,vector_difference)^0.5 j];
        else                            
            count_outside = count_outside+1;
            vector_difference = each_CS(j,:)-center;
            vector_length_outside(count_outside,1:2) = [dot(vector_difference,vector_difference)^0.5 j];
        end
    end
    index = find(vector_length_inside(:,1) == max(vector_length_inside(:,1)));
    inside_index = vector_length_inside(index(1,1),2);
    i
    index = find(vector_length_outside(:,1) == max(vector_length_outside(:,1)));
    outside_index = vector_length_outside(index(1,1),2);
    if i == 1
       bspline_max = [each_CS(inside_index,:) each_CS(outside_index,:)];
       bspline_max_index = [inside_index outside_index]
    else
       bspline_max = [bspline_max;[each_CS(inside_index,:) each_CS(outside_index,:)]]; 
       bspline_max_index = [bspline_max_index;inside_index outside_index]
    end
    clear vector_length_inside  vector_length_outside 
end