function [intersection_point_in,intersection_point_out] = calculate_profile_intersection_based_on_bone_points(UAF_bone_point,profile_in,profile_out)

m = -1/(UAF_bone_point(1,2)/UAF_bone_point(1,1));
b = UAF_bone_point(1,2)-m*UAF_bone_point(1,1);
intersection_point_in_found = 0;

list = find(profile_in(:,2)>0);
[row col] = size(list);
for i=1:(row-1)
    m2= (profile_in(list(i+1,:),2)-profile_in(list(i,:),2))/(profile_in(list(i+1,:),1)-profile_in(list(i,:),1));
    b2 = profile_in(list(i,:),2)-m2*profile_in(list(i,:),1);
    x = (b2-b)/(m-m2);
    y = m2*x + b2;
    test = [x y 0] - profile_in(list(i,:),:);
    actual = profile_in(list(i+1,:),:) - profile_in(list(i,:),:);
    length_xy = (dot(test,test))^0.5;
    length_actual = (dot(actual,actual))^0.5;
    if length_xy<length_actual
       intersection_point_in = [x y 0];
       intersection_point_in_found = 1;
    break
    end
end


if intersection_point_in_found == 0
        x = (b2-b)/(m-m2);
        y = m2*x + b2;
        intersection_point_in = [x y 0];
end


list = find(profile_out(:,2)>0);
[row col] = size(list);
for i=1:(row-1)
    m2= (profile_out(list(i+1,:),2)-profile_out(list(i,:),2))/(profile_out(list(i+1,:),1)-profile_out(list(i,:),1));
    b2 = profile_out(list(i,:),2)-m2*profile_out(list(i,:),1);
    x = (b2-b)/(m-m2);
    y = m2*x + b2;
    test = [x y 0] - profile_out(list(i,:),:);
    actual = profile_out(list(i+1,:),:) - profile_out(list(i,:),:);
    length_xy = (dot(test,test))^0.5;
    length_actual = (dot(actual,actual))^0.5;
    if length_xy<length_actual
        intersection_point_out = [x y 0];
    break
    end
end

