function [new_CrossSec_max] = modify_LAM_LAF_max(new_CrossSec_max,new_CrossSec_90,new_UAF_CS,E_CS_all,LAF_CS_all)

[distances_135,distances_90,distances_max] = calculate_distance_other_key_postures;
load ('C:\MATLAB7\work\OUTPUT\CS_distance.mat')
distances_max = [UAF_distance_max;distances_max;LAF_distance_max];
[CS_bspline_max,center_max] = creating_CS_bspline(new_CrossSec_max(:,1:3),new_CrossSec_max(:,4:6),new_CrossSec_max(:,7:9),new_CrossSec_max(:,10:12),new_CrossSec_max(:,13:15));
[bspline_max_max] = bspline_max_side_view(CS_bspline_max,new_UAF_CS,E_CS_all(7:9,:),LAF_CS_all(7:9,:),distances_max);
%% distances LAF CS for max
LAF_bone_point_max = LAF_CS_all(8,:)*distances_max(4,:)
m_base = LAF_CS_all(8,2)/LAF_CS_all(8,3);
b_base = LAF_bone_point_max(1,2) - m_base*LAF_bone_point_max(1,3);
m_CS = -1/m_base;

b_CS = bspline_max_max(5,3) - m_CS*bspline_max_max(5,4);
z = (b_CS-b_base)/(m_base-m_CS);
y = m_CS*z + b_CS;
base_LAF_outside = [y z]
distance_lower = bspline_max_max(5,3:4)- base_LAF_outside;
distance_lower = (dot(distance_lower,distance_lower))^0.5;

b_CS = bspline_max_max(5,1) - m_CS*bspline_max_max(5,2);
z = (b_CS-b_base)/(m_base-m_CS);
y = m_CS*z + b_CS;
base_LAF_inside = [y z];
distance_upper = bspline_max_max(5,1:2)- base_LAF_inside;
distance_upper = (dot(distance_upper,distance_upper))^0.5;
distance_LAF_total_max = distance_upper+distance_lower;

[CS_bspline_90,center_90] = creating_CS_bspline(new_CrossSec_90(:,1:3),new_CrossSec_90(:,4:6),new_CrossSec_90(:,7:9),new_CrossSec_90(:,10:12),new_CrossSec_90(:,13:15));
[bspline_90_max] = bspline_max_side_view(CS_bspline_90,new_UAF_CS,E_CS_all(4:6,:),LAF_CS_all(4:6,:),distances_90);
%% distances LAF CS for 90
LAF_bone_point_90 = LAF_CS_all(5,:)*distances_90(4,:)
m_base = LAF_CS_all(5,2)/LAF_CS_all(5,3);
b_base = LAF_bone_point_90(1,2) - m_base*LAF_bone_point_90(1,3);
m_CS = -1/m_base;

b_CS = bspline_90_max(5,3) - m_CS*bspline_90_max(5,4);
z = (b_CS-b_base)/(m_base-m_CS);
y = m_CS*z + b_CS;
base_LAF_outside = [y z];
distance_lower = bspline_90_max(5,3:4)- base_LAF_outside;
distance_lower = (dot(distance_lower,distance_lower))^0.5;

b_CS = bspline_90_max(5,1) - m_CS*bspline_90_max(5,2);
z = (b_CS-b_base)/(m_base-m_CS);
y = m_CS*z + b_CS;
base_LAF_inside = [y z];
distance_upper = bspline_90_max(5,1:2)- base_LAF_inside;
distance_upper = (dot(distance_upper,distance_upper))^0.5;
distance_LAF_total_90 = distance_upper+distance_lower;

if distance_LAF_total_max > distance_LAF_total_90 
    reduced_length_max = distance_LAF_total_max - distance_LAF_total_90;
    [new_LAM_max_3D] = adjusting_LAM(CS_bspline_max(:,10:12),bspline_max_max(4,:),reduced_length_max,new_CrossSec_max(:,10:12),LAF_CS_all(7:9,:),center_max(3,:));
    new_CrossSec_max(:,10:12) = new_LAM_max_3D;
    [new_LAF_max_3D] = adjusting_LAM(CS_bspline_max(:,13:15),bspline_max_max(5,:),reduced_length_max,new_CrossSec_max(:,13:15),LAF_CS_all(7:9,:),center_max(4,:));
    new_CrossSec_max(:,13:15) = new_LAF_max_3D;
end