function [new_CrossSec,magnitude_CrossSec] = resample_profile_CS_finalize(new_UAF_CS,E_CS_all,LAF_CS_all,new_CrossSec,distances,unit_vector)

UAF_center = distances(1,:)*new_UAF_CS(2,:)*transpose(new_UAF_CS);
UAM_center = distances(2,:)*new_UAF_CS(2,:)*transpose(new_UAF_CS);
LAM_center = distances(3,:)*LAF_CS_all(2,:)*transpose(LAF_CS_all);
LAF_center = distances(4,:)*LAF_CS_all(2,:)*transpose(LAF_CS_all);

for i=1:16
    new_CrossSec(i,1:3) = new_CrossSec(i,1:3)*transpose(new_UAF_CS);
    new_CrossSec(i,4:6) = new_CrossSec(i,4:6)*transpose(new_UAF_CS);
    new_CrossSec(i,7:9) = new_CrossSec(i,7:9)*transpose(E_CS_all);
    new_CrossSec(i,10:12) = new_CrossSec(i,10:12)*transpose(LAF_CS_all);
    new_CrossSec(i,13:15) = new_CrossSec(i,13:15)*transpose(LAF_CS_all);
end  

all_CS_center = [UAF_center(1,1) UAF_center(1,3);UAM_center(1,1) UAM_center(1,3);0  0;LAM_center(1,1) LAM_center(1,3);LAF_center(1,1) LAF_center(1,3)];

for i=1:5
    [new_CrossSec(:,3*i-2)  new_CrossSec(:,3*i);new_CrossSec(1,3*i-2)  new_CrossSec(1,3*i)];
    [bezier]=bspline_to_bezier([new_CrossSec(:,3*i-2)  new_CrossSec(:,3*i);new_CrossSec(1,3*i-2)  new_CrossSec(1,3*i)]);
    for j = 1:16
        vector_line = unit_vector(j,1:2);
        [intersection,sub_bezier_with_int] = bezier_line_intersection(bezier,vector_line);
        new_CrossSec(j,3*i-2:3*i)= [intersection(1,1) new_CrossSec(j,3*i-1) intersection(1,2)];
        magnitude_CrossSec(j,i) = dot(intersection,intersection)^0.5;
    end
end

for i=1:16
    new_CrossSec(i,1:3) = new_CrossSec(i,1:3)*new_UAF_CS;
    new_CrossSec(i,4:6) = new_CrossSec(i,4:6)*new_UAF_CS;
    new_CrossSec(i,7:9) = new_CrossSec(i,7:9)*E_CS_all;
    new_CrossSec(i,10:12) = new_CrossSec(i,10:12)*LAF_CS_all;
    new_CrossSec(i,13:15) = new_CrossSec(i,13:15)*LAF_CS_all;
end  
