function [sub_bezier_with_int,intersection,compared_values] = sub_bezier_line_intersection_non_zero_origin(bezier,original_point,vector)

[row_bezier not_used] = size(bezier);


[rowbezier col] = size(bezier);
for i=1:4:rowbezier
    P0=bezier(i,:);
    P1=bezier(i+1,:);
    P2=bezier(i+2,:);
    P3=bezier(i+3,:);
    [original_point 0]
    [vector+original_point 0]
    [P0 0]
    [P1 0]
    [P2 0]
    [P3 0]
    D_1 = P3-P0;
    l_1 = (D_1(1,1)^2+D_1(1,2)^2)^0.5;
    %represent P0 and P3 as mx+b
    m_1 = D_1(1,2)/D_1(1,1);
    b_1 = P0(1,2) - P0(1,1)*m_1;
    %represent line_vector as mx
    m_2 = vector(1,2)/vector(1,1);
    b_2 = original_point(1,2) - original_point(1,1)*m_2;
    if dot(vector,D_1/l_1) ~= 1
        x = (b_2-b_1)/(m_1-m_2)
        t_1 = (x-P0(1,1))/D_1(1,1)
        test_direction = (x-original_point(1,1))*vector(1,1)  
        original_point
        vector
        if  test_direction >= 0
            if abs(t_1)<=1e-5 
                t_1 = 0;
                'abs(t_1)<=1e-5'
            elseif abs(t_1-1)<=1e-5 
                t_1 = 1;
                'abs(t_1)-1<=1e-5'
            end
            if t_1>=0 & t_1<=1
                    'chosen t'
                    t_1
                    y = m_1*x+b_1;
                    sub_bezier_with_int = [P0;P1;P2;P3];
                    t_1_from_sub = t_1     
                    sub_bezier_with_int_from_sub = sub_bezier_with_int;
                    intersection = [x y];
                    intersection_from_sub = intersection;
                    code = 1;
            break
            end  
        end 
        code = 0;
    end
end

if code ==  0
    sub_bezier_with_int = 0;
    intersection = [0 0];
end

compared_values = [t_1 x m_1 b_1];

