function [bezier,t,intersection] = compare_bezier(bezier)

bezier_awal = bezier;

for i=1:20
    [sub_bezier_1,sub_bezier_2] =subdivide_bezier(bezier);
    [val_1 rowbezier]=min(sub_bezier_1(:,1));
    [val_2 rowbezier]=min(sub_bezier_2(:,1));
    if val_1 < val_2
        bezier = sub_bezier_1;
        tag = 1;
    else
        bezier = sub_bezier_2;
        tag = 2;
    end
    if i==1
        if tag ==1
           range = [0;1];
        else
           range = [1;2];
        end
    else
        low = range(1,1)*2^1;
        [row col]=size(range);
        up  = range(row,1)*2^1;
        range = transpose([low:up]);
        if tag ==1
           range = range(1:2,:);
        else
           range = range(2:3,:);
        end
    end
end

range = range/(2^20);
[val rowbezier]=min(bezier(:,1));

if rowbezier ==1
    t = range(1,1);
elseif rowbezier ==2
    t=range(1,:)+(range(2,:)-range(1,:))/3;
elseif rowbezier ==3
    t=range(1,:)+(range(2,:)-range(1,:)*2)/3;
else
    t = range(2,1);
end

%%this t value and bezier awal has to be saved and passed on.
%%the position of bezier has to be saved too (at which control points it lies)


%%%for checking
[rowb col] = size(bezier_awal);
count = 0;
for i=1:4:rowb
    P0=bezier_awal(i,:);
    P1=bezier_awal(i+1,:);
    P2=bezier_awal(i+2,:);
    P3=bezier_awal(i+3,:);
    t_3_x = -P0(1,1) + 3*P1(1,1) - 3*P2(1,1) + P3(1,1);
    t_2_x = 3*P0(1,1) - 6*P1(1,1) + 3*P2(1,1);
    t_1_x = -3*P0(1,1) + 3*P1(1,1);
    t_0_x = P0(1,1);
 
    t_3_y = -P0(1,2) + 3*P1(1,2) - 3*P2(1,2) + P3(1,2);
    t_2_y = 3*P0(1,2) - 6*P1(1,2) +3*P2(1,2);
    t_1_y = -3*P0(1,2) + 3*P1(1,2);
    t_0_y = P0(1,2); 
    j=t
    x=( j^3)*t_3_x + ( j^2 )*t_2_x + ( j )*t_1_x + t_0_x;
    y=( j^3)*t_3_y + ( j^2 )*t_2_y + ( j )*t_1_y + t_0_y;
end
intersection = [x y];



