function [coordinates_UAF,coordinates_UAM,coordinates_E,coordinates_LAM,coordinates_LAF,attach_profile,bezier_loc_all,t_all,lngth_cum_all,lngth_index]  = preparing_cross_sec_for_flesh_deformation

load('C:\MATLAB7\work\OUTPUT\all_Cross_Sec_coordinates.mat')
load('C:\MATLAB7\work\OUTPUT\vector_coordinates_system.mat')
load('C:\MATLAB7\work\OUTPUT\distances_any.mat')
load('C:\MATLAB7\work\OUTPUT\attach_profile.mat')
%% create bezier of CS in 2D
coordinates_UAF = all_Cross_Sec_coordinates(:,1:3);
coordinates_UAM = all_Cross_Sec_coordinates(:,4:6);
coordinates_E = all_Cross_Sec_coordinates(:,7:9);
coordinates_LAM = all_Cross_Sec_coordinates(:,10:12);
coordinates_LAF = all_Cross_Sec_coordinates(:,13:15);
UAF_2D_coordinates = coordinates_UAF*transpose(vector_coordinates_system(:,1:3));
UAM_2D_coordinates = coordinates_UAM*transpose(vector_coordinates_system(:,1:3));
E_2D_coordinates = coordinates_E*transpose(vector_coordinates_system(:,4:6));
LAM_2D_coordinates = coordinates_LAM*transpose(vector_coordinates_system(:,7:9));
LAF_2D_coordinates = coordinates_LAF*transpose(vector_coordinates_system(:,7:9));
all_2D_coordinates = [UAF_2D_coordinates UAM_2D_coordinates E_2D_coordinates LAM_2D_coordinates LAF_2D_coordinates];

attach_profile_2D(1,1:3) = attach_profile(1,1:3)*transpose(vector_coordinates_system(:,1:3));
attach_profile_2D(2,1:3) = attach_profile(2,1:3)*transpose(vector_coordinates_system(:,1:3));
attach_profile_2D(3,1:3) = attach_profile(3,1:3)*transpose(vector_coordinates_system(:,4:6));
attach_profile_2D(4,1:3) = attach_profile(4,1:3)*transpose(vector_coordinates_system(:,7:9));
attach_profile_2D(5,1:3) = attach_profile(5,1:3)*transpose(vector_coordinates_system(:,7:9));


count = 0;
row_prev = 0;
for i=1:5
    'HERE'
    [control_points] = create_bezier([all_2D_coordinates(:,3*i) all_2D_coordinates(:,3*i-2)]); %%defining control points to create bezier curves
    'END HERE'
    %% measure the length of CS in 2D
    [lngth_cum] =continuous_subdivision_2D(control_points);
    [row_control_points unused] = size(control_points);
    count_bezier_min = 0;
    for j=1:4:(row_control_points+1)
        if j == (row_control_points+1)
            j = row_control_points;
        end
        vector = control_points(j,:)- [attach_profile_2D(i,3) attach_profile_2D(i,1)];
        count_bezier_min = count_bezier_min+1;
        length(count_bezier_min,1:2) = [dot(vector,vector)^0.5 j];
    end
    length;
    [val index] = min(length(:,1));
    if length(index-1,1)<length(index+1,1)
        bezier_loc = [length(index,2)-4 length(index,2)-1];
    else
        bezier_loc = [length(index,2) length(index,2)+3];
    end
    bezier = control_points(bezier_loc(1,1):bezier_loc(1,2),:);
    %% find the minimum point for CS in 2D

    [bezier_chosen,t] = compare_bezier(bezier); %%the cross section is on the x-z plane, %%subdivide the control points into smaller segment 
    [val rowbezier] = min(bezier_chosen(:,1)); 
    bezier_loc_all((i*2-1):(i*2),1) = bezier_loc;
    t_all(i,1) = t;
    [row col] = size(lngth_cum);
    i;
    row_prev;
    lngth_cum_all((row_prev+1):(row+row_prev),1:col) = lngth_cum;
    lngth_index(i,1:2) = [row_prev+1 row+row_prev];
    row_prev = row;

end
