function [coordinates_bspline] = add_control_points_for_bspline_interpolation(knots,control_points)

[rowknots col] = size(knots);
count_t = 0;
for t = knots(1,:):0.1:knots(rowknots,:)
    count_t = count_t+1;
    count = 0;
     for i=1:(rowknots-1)
        awal_knots_line = knots(i,1);
        akhir_knots_line = knots(i+1,1);
        if (awal_knots_line<=t) & (t<=akhir_knots_line)
            count =  count + 1;
            B_01_all(count,1) = 1;
        else
            count =  count + 1;
            B_01_all(count,1) = 0  ;     
        end
     end

    count =0;
    for j=1:1:(rowknots-2)
        count= count+1;
        B_01 = B_01_all(j,1);
        B_11 = B_01_all(j+1,1);
        loc_i = knots(j,1);
        loc_i1 = knots(j+1,1);
        loc_i2 = knots(j+2,1);
        if (loc_i1==loc_i) & (loc_i==loc_i2)
            B_02 = 0;
        else
            if  loc_i2 == loc_i1
                B_02 = (t-loc_i)*B_01/(loc_i1-loc_i);
            elseif loc_i1 == loc_i
                B_02 = (loc_i2-t)*B_11/(loc_i2-loc_i1);
            else
                B_02 = (t-loc_i)*B_01/(loc_i1-loc_i) + (loc_i2-t)*B_11/(loc_i2-loc_i1);        
            end
        end
        if B_02>1
           B_02 =1;
        end
        
        B_02_all(count,1) = B_02;
    end
    
    count =0;
    for k=1:1:(rowknots-3)
        count= count+1;
        B_02 = B_02_all(k,1);
        B_12 = B_02_all(k+1,1);
        loc_i = knots(k,1);
        loc_i1 = knots(k+1,1);
        loc_i2 = knots(k+2,1);
        loc_i3 = knots(k+3,1);
        if (loc_i==loc_i1 & loc_i1==loc_i2) & (loc_i2==loc_i3)
            B_03 = 0;
        else
            if  loc_i2==loc_i
                B_03 = (loc_i3-t)*B_12/(loc_i3-loc_i1) ; 
            elseif loc_i3==loc_i1
                B_03 = (t-loc_i)*B_02/(loc_i2-loc_i) ; 
            else
                B_03 = (t-loc_i)*B_02/(loc_i2-loc_i) + (loc_i3-t)*B_12/(loc_i3-loc_i1) ;           
            end
        end        
        B_03_all(count,1) = B_03;
    end
    
    count =0;
    for l=1:1:(rowknots-4)
        count= count+1;
        B_03 = B_03_all(l,1);
        B_13 = B_03_all(l+1,1);
        loc_i = knots(l,1);
        loc_i1 = knots(l+1,1);
        loc_i3 = knots(l+3,1);
        loc_i4 = knots(l+4,1);
        if (loc_i==loc_i1 & loc_i1==loc_i3) & (loc_i3==loc_i4)
            B_04 = 0;
        else
            if  loc_i3==loc_i
                B_04 = (loc_i4-t)*B_13/(loc_i4-loc_i1) ; 
            elseif loc_i4==loc_i1
                B_04 = (t-loc_i)*B_03/(loc_i3-loc_i) ; 
            else
                B_04 = (t-loc_i)*B_03/(loc_i3-loc_i) + (loc_i4-t)*B_13/(loc_i4-loc_i1) ;           
            end
        end        
        B_04_all(count,1) = B_04;
    end
    if count_t==1
        collection_B_04_all = [B_04_all];
    else
        collection_B_04_all = [collection_B_04_all B_04_all];
    end
    t_all(1,count_t) = t;
end

[rowB04 col] = size(collection_B_04_all);

count = 0;
for i=1:col
    count = count+1;
    B = collection_B_04_all(:,i);
    Q_sum = 0;
    for j=1:rowB04       
       Q = control_points(j,:)*B(j,1);
       Q_sum = Q_sum+Q;
    end
    coordinates_bspline(count,1:3)=[Q_sum 0];
end
