function [new_CrossSec_neu] = adjusting_CSneu_front_view_FDM_validation_phase_1(new_CrossSec_neu,distances_neu, new_UAF_CS, E_CS, LAF_CS, profile_in, profile_out) 

[CS_bspline_neu,center_neu] = creating_CS_bspline(new_CrossSec_neu(:,1:3), new_CrossSec_neu(:,4:6), new_CrossSec_neu(:,7:9), new_CrossSec_neu(:,10:12), new_CrossSec_neu(:,13:15));
[CS_bspline_neu_max_front] = determining_front_view_inside_outside_points([CS_bspline_neu(:,1:2) CS_bspline_neu(:,4:5) CS_bspline_neu(:,7:8) CS_bspline_neu(:,10:11) CS_bspline_neu(:,13:14)],new_UAF_CS,E_CS,LAF_CS);

[UAF_length_neu,UAM_length_neu,E_length_neu,bone_neu_points] = CS_length_front_view(CS_bspline_neu_max_front,new_UAF_CS,E_CS);
[LAF_length_neu,LAM_length_neu,not_used,not_used] = CS_length_front_view([CS_bspline_neu_max_front(4:5,:); CS_bspline_neu_max_front(3:5,:)],LAF_CS,E_CS);

UAF_neu_bone_point = distances_neu(1,1)*new_UAF_CS(2,:);
UAM_neu_bone_point = distances_neu(2,1)*new_UAF_CS(2,:);
LAM_neu_bone_point = distances_neu(3,1)*LAF_CS(2,:);
LAF_neu_bone_point = distances_neu(4,1)*LAF_CS(2,:);

[UAF_int_point_in_neu,UAF_int_point_out_neu] = calculate_profile_intersection_based_on_bone_points([CS_bspline_neu_max_front(1,1:2) 0],UAF_neu_bone_point,profile_in,profile_out);
[UAM_int_point_in_neu,UAM_int_point_out_neu] = calculate_profile_intersection_based_on_bone_points([CS_bspline_neu_max_front(2,1:2) 0],UAM_neu_bone_point,profile_in,profile_out);
[E_int_point_in_neu,E_int_point_out_neu] = calculate_profile_intersection_based_on_bone_points_elbow([CS_bspline_neu_max_front(3,1:2) 0],E_CS(2,:),profile_in,profile_out);
CS_bspline_neu_max_front(4,1:2),LAM_neu_bone_point,profile_in,profile_out
[LAM_int_point_in_neu,LAM_int_point_out_neu] = calculate_profile_intersection_based_on_bone_points_lower_arm([CS_bspline_neu_max_front(4,1:2) 0],LAM_neu_bone_point,profile_in,profile_out);
[LAF_int_point_in_neu,LAF_int_point_out_neu] = calculate_profile_intersection_based_on_bone_points_lower_arm([CS_bspline_neu_max_front(5,1:2) 0],LAF_neu_bone_point,profile_in,profile_out);

%% 3. Translating the CS (UAF, UAM, and E) to the middle of CS neu distance
UAF_length_neu = UAF_int_point_in_neu-UAF_int_point_out_neu;
UAF_length_neu = dot(UAF_length_neu,UAF_length_neu)^0.5;
UAM_length_neu = UAM_int_point_in_neu-UAM_int_point_out_neu;
UAM_length_neu = dot(UAM_length_neu,UAM_length_neu)^0.5;
E_length_neu = E_int_point_in_neu-E_int_point_out_neu;
E_length_neu = dot(E_length_neu,E_length_neu)^0.5;

[new_CrossSec_neu] = CS_front_translation_neu(UAF_length_neu,CS_bspline_neu_max_front(1,:),UAF_int_point_in_neu,UAF_int_point_out_neu, new_UAF_CS,new_CrossSec_neu,[1:3]);

[new_CrossSec_neu] = CS_front_translation_neu(UAM_length_neu,CS_bspline_neu_max_front(2,:),UAM_int_point_in_neu,UAM_int_point_out_neu,new_UAF_CS,new_CrossSec_neu,[4:6]);

[new_CrossSec_neu] = CS_front_translation_neu(E_length_neu,CS_bspline_neu_max_front(3,:),E_int_point_in_neu,E_int_point_out_neu,E_CS,new_CrossSec_neu,[7:9]);


LAM_length_neu = LAM_int_point_in_neu-LAM_int_point_out_neu;
LAM_length_neu = dot(LAM_length_neu,LAM_length_neu)^0.5;
LAF_length_neu = LAF_int_point_in_neu-LAF_int_point_out_neu;
LAF_length_neu = dot(LAF_length_neu,LAF_length_neu)^0.5;

[new_CrossSec_neu] = CS_front_translation_neu(LAM_length_neu,CS_bspline_neu_max_front(4,:),LAM_int_point_in_neu,LAM_int_point_out_neu,LAF_CS,new_CrossSec_neu,[10:12]);
[new_CrossSec_neu] = CS_front_translation_neu(LAF_length_neu,CS_bspline_neu_max_front(5,:),LAF_int_point_in_neu,LAF_int_point_out_neu,LAF_CS,new_CrossSec_neu,[13:15]);
