function [bone_point_1,bone_point_2] = bone_point_for_profile_intersection(profile_intersection_point_1,profile_intersection_point_2,bone_vector)


m = bone_vector(1,2)/bone_vector(1,1);
m_1 = -1/m;
b_1 = profile_intersection_point_1(:,2) - profile_intersection_point_1(:,1)*m_1 ;
x_1 = b_1/(m - m_1);
y_1 = m*x_1;
bone_point_1 = [x_1 y_1];

b_2 = profile_intersection_point_2(:,2) - profile_intersection_point_2(:,1)*m_1 ;
x_2 = b_2/(m - m_1);
y_2 = m*x_2;
bone_point_2 = [x_2 y_2];