function [distances_135,distances_90,distances_max] = calculate_distance_other_key_postures

load 'C:\MATLAB7\work\OUTPUT\CS_distance.mat'

[UAF_distance_135] = lin_int_distance(UAF_distance_neutral,UAF_distance_max,arm_angle,135);
[UAM_distance_135] = non_lin_int_distance(UAM_coef,UAF_distance_neutral,135);
[LAM_distance_135] = non_lin_int_distance(LAM_coef,LAF_distance_neutral,135);
[LAF_distance_135] = lin_int_distance(LAF_distance_neutral,LAF_distance_max,arm_angle,135);

distances_135 = [UAF_distance_135;UAM_distance_135;LAM_distance_135;LAF_distance_135];

[UAF_distance_90] = lin_int_distance(UAF_distance_neutral,UAF_distance_max,arm_angle,90);
[UAM_distance_90] = non_lin_int_distance(UAM_coef,UAF_distance_neutral,90);
[LAM_distance_90] = non_lin_int_distance(LAM_coef,LAF_distance_neutral,90);
[LAF_distance_90] = lin_int_distance(LAF_distance_neutral,LAF_distance_max,arm_angle,90);
distances_90 = [UAF_distance_90;UAM_distance_90;LAM_distance_90;LAF_distance_90];

[UAM_distance_max] = non_lin_int_distance(UAM_coef,UAF_distance_neutral,35);
[LAM_distance_max] = non_lin_int_distance(LAM_coef,LAF_distance_neutral,35);
distances_max = [UAM_distance_max;LAM_distance_max];