function [new_CS,new_center,new_bspline_max,translation_magnitude] = translating_CS(profile_coordinates,coordinates_system,bspline_max_outside,CrossSec,bspline_max,center)

'BEGINNING________________________________________________________________________________'
profile_coordinates,coordinates_system,bspline_max_outside,CrossSec,bspline_max,center

%% profile_coordinates --> one for all
%% coordinates_system --> depends on the cross sections
%% bspline max --> each row for each cross section
count = 0;
for i=1:5
    each_cross_sec = CrossSec(:,(3*i-2):3*i);
    each_coordinates_system = coordinates_system(1,(3*i-2):3*i);
    [bezier]=bspline_to_bezier([profile_coordinates(:,3) profile_coordinates(:,2)]);
    'NOTES TRANSLATION CS______________________________'
    [row_bezier unused] = size(bezier);
    %   [intersection,sub_bezier_with_int] = bezier_line_intersection_non_zero_origin(bezier,[bspline_max_outside(i,2) bspline_max_outside(i,1)], [-each_coordinates_system(1,3) -each_coordinates_system(1,2)]);
    [sub_bezier_with_int,intersection] = sub_bezier_line_intersection_non_zero_origin(bezier, [bspline_max_outside(i,2) bspline_max_outside(i,1)], [each_coordinates_system(1,3) each_coordinates_system(1,2)]);
    i
    [row_bezier not_used] = size(bezier);
    [zeros(row_bezier,1) bezier(:,2) bezier(:,1)]
    [0 bspline_max_outside(i,1) bspline_max_outside(i,2)]
    [0 each_coordinates_system(1,2) each_coordinates_system(1,3)]+[0 bspline_max_outside(i,1) bspline_max_outside(i,2)]
    sub_bezier_with_int
    intersection
    [zeros(4,1)  sub_bezier_with_int(:,2) sub_bezier_with_int(:,1)]
     [0 intersection(1,2)  intersection(1,1)]
    
    
    'END NOTES TRANSLATION CS______________________________'
    if (intersection(1,1)==0 & intersection(1,2)==0)
        each_coordinates_system = -each_coordinates_system
    end
    
    'after changing'
    [sub_bezier_with_int,intersection] = sub_bezier_line_intersection_non_zero_origin(bezier, [bspline_max_outside(i,2) bspline_max_outside(i,1)], [each_coordinates_system(1,3) each_coordinates_system(1,2)]);
    i
    [row_bezier not_used] = size(bezier);
    [zeros(row_bezier,1) bezier(:,2) bezier(:,1)]
    [0 bspline_max_outside(i,1) bspline_max_outside(i,2)]
    [0 each_coordinates_system(1,2) each_coordinates_system(1,3)]+[0 bspline_max_outside(i,1) bspline_max_outside(i,2)]
    sub_bezier_with_int
    intersection
    
    
    [intersection,sub_bezier_with_int] = bezier_line_intersection_non_zero_origin(bezier,[bspline_max_outside(i,2) bspline_max_outside(i,1)], [each_coordinates_system(1,3) each_coordinates_system(1,2)]);
    intersection = [intersection(1,2) intersection(1,1)];
    vector_int_bspline_max = intersection-bspline_max_outside(i,:);
    translation_magnitude = dot(vector_int_bspline_max,vector_int_bspline_max)^0.5;
%     translation_vector = [0 -each_coordinates_system(1,2:3)]*translation_magnitude; OLD VERSION
    translation_vector = [0 each_coordinates_system(1,2:3)]*translation_magnitude;
    for j=1:16
        CrossSec(j,(3*i-2):3*i) = translation_vector + each_cross_sec(j,:);
    end
    if i~=3
        count = count+1;
        new_center(count,:) = center(count,:) + translation_vector;
    end
    new_bspline_max(i,1:2) = bspline_max(i,1:2) + translation_vector(1,2:3);
    new_bspline_max(i,3:4) = bspline_max(i,3:4) + translation_vector(1,2:3);
    bspline_max(i,1:2)
    bspline_max(i,3:4)
    each_cross_sec
    [row_prof col_prof] = size(profile_coordinates);
    [zeros(row_prof,1) profile_coordinates(:,2) profile_coordinates(:,3)];
    CrossSec(:,(3*i-2):3*i)
    'end NOTES TRANSLATION CS______________________________'
end

new_CS = CrossSec;
% [bezier]=bspline_to_bezier([profile_coordinates_135(:,3) profile_coordinates_135(:,2)])
% [intersection,sub_bezier_with_int] = bezier_line_intersection_non_zero_origin(bezier,[bspline_max(1,4) bspline_max(1,3)], [-new_UAF_CS(3,3) -new_UAF_CS(3,2)])
% intersection = [intersection(1,2) intersection(1,1)]
% vector_int_bspline_max = intersection-bspline_max(1,3:4)
% translation_magnitude = dot(vector_int_bspline_max,vector_int_bspline_max)^0.5
% translation_vector = [0 -new_UAF_CS(3,2:3)]*translation_magnitude
% for i=1:16
%     UAF_3D_135(i,1:3) = translation_vector+UAF_3D(i,4:6)
% end


% [bezier]=bspline_to_bezier([profile_coordinates_135(:,3) profile_coordinates_135(:,2)])
% [intersection,sub_bezier_with_int] = bezier_line_intersection_non_zero_origin(bezier,[bspline_max(1,4) bspline_max(1,3)], [-new_UAF_CS(3,3) -new_UAF_CS(3,2)])
% intersection = [intersection(1,2) intersection(1,1)]
% vector_int_bspline_max = intersection-bspline_max(1,3:4)
% translation_magnitude = dot(vector_int_bspline_max,vector_int_bspline_max)^0.5
% translation_vector = [0 -new_UAF_CS(3,2:3)]*translation_magnitude
% for i=1:16
%     UAF_3D_135(i,1:3) = translation_vector+UAF_3D(i,4:6)
% end