function [new_CS,new_center,new_bspline_max,translation_magnitude] = translating_CS(profile_coordinates,coordinates_system,bspline_max_outside,CrossSec,bspline_max,center)

count = 0;
for i=1:5
    each_cross_sec = CrossSec(:,(3*i-2):3*i);
    each_coordinates_system = coordinates_system(1,(3*i-2):3*i);
    [bezier]=bspline_to_bezier([profile_coordinates(:,3) profile_coordinates(:,2)]);
    [row_bezier unused] = size(bezier);
   
    [sub_bezier_with_int,intersection] = sub_bezier_line_intersection_non_zero_origin(bezier, [bspline_max_outside(i,2) bspline_max_outside(i,1)], [each_coordinates_system(1,3) each_coordinates_system(1,2)]);
 
    [row_bezier not_used] = size(bezier);

    if (intersection(1,1)==0 & intersection(1,2)==0)
        each_coordinates_system = -each_coordinates_system;
    end
    
    [sub_bezier_with_int,intersection] = sub_bezier_line_intersection_non_zero_origin(bezier, [bspline_max_outside(i,2) bspline_max_outside(i,1)], [each_coordinates_system(1,3) each_coordinates_system(1,2)]);
    
    [row_bezier not_used] = size(bezier);
    
    [intersection,sub_bezier_with_int] = bezier_line_intersection_non_zero_origin(bezier,[bspline_max_outside(i,2) bspline_max_outside(i,1)], [each_coordinates_system(1,3) each_coordinates_system(1,2)]);
    intersection = [intersection(1,2) intersection(1,1)];
    vector_int_bspline_max = intersection-bspline_max_outside(i,:);
    translation_magnitude = dot(vector_int_bspline_max,vector_int_bspline_max)^0.5;
    translation_vector = [0 each_coordinates_system(1,2:3)]*translation_magnitude;
    for j=1:16
        CrossSec(j,(3*i-2):3*i) = translation_vector + each_cross_sec(j,:);
    end
    if i~=3
        count = count+1;
        new_center(count,:) = center(count,:) + translation_vector;
    end
    new_bspline_max(i,1:2) = bspline_max(i,1:2) + translation_vector(1,2:3);
    new_bspline_max(i,3:4) = bspline_max(i,3:4) + translation_vector(1,2:3);
    [row_prof col_prof] = size(profile_coordinates);
end

new_CS = CrossSec;
