clear all


[coordinates,vertices,WRLfilename] = extracting_wrl;
[normal] = calculate_normal(vertices,coordinates);
load('C:\MATLAB7\work\CROSS SECS VALIDATION\all_Cross_Sec_coordinates_validation.mat')
[row_all_Cross_Sec_coordinates_validation col_all_Cross_Sec_coordinates_validation] = size(all_Cross_Sec_coordinates_validation)
[row col] = size(vertices);
intersection_point_final_all = all_Cross_Sec_coordinates_validation;
intersection_point_final_all(1,:) = []

for k=1:5
    E_rays_group = all_Cross_Sec_coordinates_validation(:,(3*k-2):(3*k));
    % E_rays_center = E_rays_group(1,:); 
    %% recalculate E_rays_center --> dont use the joint center, but use the
    %% mid point of E_rays CS
    E_rays_center = [(max(E_rays_group(:,1)) - min(E_rays_group(:,1)))*0.5 +  min(E_rays_group(:,1))    (max(E_rays_group(:,2)) - min(E_rays_group(:,2)))*0.5 +  min(E_rays_group(:,2))     (max(E_rays_group(:,3)) - min(E_rays_group(:,3)))*0.5 +  min(E_rays_group(:,3))]
    for j=1:16
        j
        k
        E_rays = E_rays_group(j+1,:);
        [row col] = size(vertices);
        E_rays = 100*(E_rays-E_rays_center)+E_rays_center; %%ADDED
        intersection_point_final = [0 0 0];
        
        for i=1:row
            point_1 = coordinates(vertices(i,1),:);
            point_2 = coordinates(vertices(i,2),:);
            point_3 = coordinates(vertices(i,3),:);
            plane_coef = -dot(point_1,normal(i,:));
            if dot(normal(i,:),E_rays) ~= 0 %check on whether normal and E_ray are parallel or not (MODIFIED)
                intersection = (plane_coef + dot(E_rays_center,normal(i,:)))/dot(normal(i,:),(E_rays_center-E_rays)) ; %MODIFIED
                if intersection > 0
                    intersection_point = E_rays_center + intersection*(E_rays-E_rays_center); %MODIFIED
                    a = point_1-intersection_point;
                    a = a/(dot(a,a)^0.5);
                    b = point_2-intersection_point;
                    b = b/(dot(b,b)^0.5);
                    c = point_3-intersection_point;
                    c = c/(dot(c,c)^0.5);
                    angle_total = (acos(dot(a,b))+acos(dot(a,c))+acos(dot(b,c)))*180/pi;
                    if round(angle_total) == 360
                        intersection_point_final = intersection_point;
                        intersection_point_final_all(j,(3*k-2):(3*k)) = intersection_point_final; 
                        break
                    end
                end
            end 
        end
    end
end

all_Cross_Sec_coordinates_validation(1,:) = [];
for i = 1:5
    for j=1:16
        vector = all_Cross_Sec_coordinates_validation(j,(3*i-2):(3*i))-intersection_point_final_all(j,(3*i-2):(3*i));
        error_distance(j,i) = dot(vector,vector)^0.5
    end
end

loc_1 = findstr(WRLfilename(1,:),'.')
WRLfilename = WRLfilename(:,1:loc_1)
savefile = fullfile(matlabroot,'work\CROSS SECS VALIDATION\',strcat('error_',WRLfilename,'mat'))
save(savefile,'error_distance')
loc_1 = findstr(WRLfilename(1,:),'.')
WRLfilename = WRLfilename(:,1:loc_1)
savefile = fullfile(matlabroot,'work\CROSS SECS VALIDATION\',strcat('intersection_',WRLfilename,'mat'))
save(savefile,'intersection_point_final_all')
savefile = fullfile(matlabroot,'work\CROSS SECS VALIDATION\',strcat('prediction_',WRLfilename,'mat'))
save(savefile,'all_Cross_Sec_coordinates_validation')
% save(WRLfilename,error_distance)

