function [length_UA_LA,E_unit] = calculate_UA_LA_E (template_skeleton)

vector_UA = template_skeleton(1,:) - template_skeleton(2,:);
vector_LA = template_skeleton(3,:) - template_skeleton(2,:);
length_UA = dot(vector_UA,vector_UA)^0.5;
length_LA = dot(vector_LA,vector_LA)^0.5;
vector_UA = vector_UA/length_UA;
vector_LA = vector_LA/length_LA;
sum_vector = vector_UA + vector_LA;
sum_vector = sum_vector/(dot(sum_vector,sum_vector)^0.5);
cross_vector = cross(vector_LA,vector_UA);
cross_vector= cross_vector/(dot(cross_vector,cross_vector)^0.5);
normal_vector = cross(cross_vector,sum_vector);
normal_vector= normal_vector/(dot(normal_vector,normal_vector)^0.5);
length_UA_LA =[length_UA;length_LA];
E_unit = [sum_vector;normal_vector;cross_vector];