function [intersection_point_final] = sampling_final(coordinates,vertices_partial,distance,CS)

[normal] = calculate_normal(vertices_partial,coordinates);

translation_vector = [1  0  0  0;0  1  0  0;0  0  1  0;distance(1,1) distance(1,2) distance(1,3) 1];
CS = [CS(1,:) 0;CS(2,:) 0;CS(3,:) 0;0 0 0 1];

E_rays = zeros(32,4);

for i=1:32
    rotating_z_axis = rotation_about_Y_axis([0 0 1],(i-1)*(2*pi/32));
    E_rays(i,:) = [rotating_z_axis 1]*CS*translation_vector;
end

E_rays(:,4) = [];

for i=1:32
    intersection_point_final(i,:) = sampling_WRL(E_rays(i,:),normal,vertices_partial,coordinates,distance);
end

translation_vector = [1  0  0  0;0  1  0  0;0  0  1  0;-distance(1,1) -distance(1,2) -distance(1,3) 1];
intersection_point_final = [intersection_point_final';ones(1,32)]'*translation_vector*transpose(CS);
intersection_point_final(:,4) = [];

