function [CS_135,CS_90,CS_max,length_CS135,length_CS90,length_CSmax] = CS_prediction(final_matrix_after_transformed,subject1_PCA,subject2_PCA,transformed_value)

load ('C:\MATLAB7\work\INITIAL INPUT\unit_vector.mat');
CS = zeros(16,3);
[row col] = size(transformed_value);

for n=1:3
    final_matrix_after_transformed_parts = final_matrix_after_transformed((16*n-15):(n*16),:);
    if row>1
        vector_1 = [transformed_value(1,1)-subject1_PCA(1,1) transformed_value(2,1)-subject1_PCA(2,1)];
        val_1 = (dot(vector_1,vector_1))^0.5;
        vector_2 = [transformed_value(1,1)-subject2_PCA(1,1) transformed_value(2,1)-subject2_PCA(2,1)];
        val_2 = (dot(vector_2,vector_2))^0.5;
        ratio = val_1/(val_1+val_2);
    else
        ratio = (transformed_value-subject1_PCA)/(subject2_PCA-subject1_PCA);
    end
    scale = ratio*(final_matrix_after_transformed_parts(:,2) - final_matrix_after_transformed_parts(:,1)) + final_matrix_after_transformed_parts(:,1); 
    
    for j=1:16
			CS(j,1:3) = scale(j,1)*unit_vector(j,:);
    end
    
    if n==1
        CS_135 = CS;
        length_CS135 = scale;
    elseif n==2
        CS_90 = CS;
        length_CS90 = scale;
    else
        CS_max = CS;
        length_CSmax = scale;
    end
    
end

