function [CS_points,center_points,max_points,min_points] = cross_section_centered(CS_points)

max_points = [max(CS_points(:,1)) 0 max(CS_points(:,3))];
min_points = [min(CS_points(:,1)) 0 min(CS_points(:,3))];
center_points = 0.5*(max_points - min_points) + min_points;

translation_vector = [1  0  0  0;0  1  0  0;0  0  1  0;-(center_points) 1];
CS_points = [CS_points';ones(1,32)]'*translation_vector;
CS_points(:,4) = [];