function [sub_bezier_with_int,intersection] = sub_bezier_line_intersection(bezier,vector)

[rowbezier col] = size(bezier);
sub_bezier_with_int = 0;
intersection = [0 0];
for i=1:4:rowbezier
    P0=bezier(i,:);
    P1=bezier(i+1,:);
    P2=bezier(i+2,:);
    P3=bezier(i+3,:);
    D_1 = P3-P0;
    l_1 = dot(D_1,D_1)^0.5;
    if dot(vector,D_1/l_1) ~= 1
        if vector(1,1)~=0
           m = vector(1,2)/vector(1,1);
           b = 0;
           t = (b + m*P0(1,1) - P0(1,2))/(P3(1,2) - P0(1,2) - m*(P3(1,1)-P0(1,1)));
        else           
%            'vector (1,1) equal 0' 
%            bezier
           x = vector(1,1);
           t = (x-P0(1,1))/D_1(1,1);
        end
    end
    if t>=0 & t<=1       
       x = P0(1,1) + t*D_1(1,1);
       y = P0(1,2) + t*D_1(1,2);
       xy_vector = [x y]/(dot([x y],[x y])^0.5);
       check_value_sign = [xy_vector(1,1)*vector(1,1) xy_vector(1,2)*vector(1,2)];
       if min(check_value_sign) >= 0  
          sub_bezier_with_int = [P0;P1;P2;P3];
          intersection = [x y];
       break,end
    end    
end 

