function [UAF,UAM] = version_3_UAF_creation(col_closest_subject,closest_subject,race,gender,UAF_wrl,UAM_wrl,UAF_wrl_max_dimension, UAM_wrl_max_dimension)


if race == 0
    if gender == 0
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_neu_UAFUAM_asian_female.mat')
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_135_UAFUAM_asian_female.mat')
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_90_UAFUAM_asian_female.mat')        
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_max_UAFUAM_asian_female.mat') 
    else
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_neu_UAFUAM_asian_male.mat')
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_135_UAFUAM_asian_male.mat')
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_90_UAFUAM_asian_male.mat')
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_max_UAFUAM_asian_male.mat')
    end
else
    if gender == 0
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_neu_UAFUAM_caucasian_female.mat')
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_135_UAFUAM_caucasian_female.mat')
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_90_UAFUAM_caucasian_female.mat')
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_max_UAFUAM_caucasian_female.mat')
    else
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_neu_UAFUAM_caucasian_male.mat')
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_135_UAFUAM_caucasian_male.mat')
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_90_UAFUAM_caucasian_male.mat')
        load ('C:\MATLAB7\work\INITIAL INPUT\dimension_max_UAFUAM_caucasian_male.mat')
    end
end


for i=1:3
    if i==1
       dimension_x = dimension_135_UAFUAM(1:2,closest_subject);
       dimension_y = dimension_135_UAFUAM(3:4,closest_subject)   ;        
    elseif i == 2
       dimension_x = dimension_90_UAFUAM(1:2,closest_subject);
       dimension_y = dimension_90_UAFUAM(3:4,closest_subject)  ;          
    else
       dimension_x = dimension_max_UAFUAM(1:2,closest_subject);
       dimension_y = dimension_max_UAFUAM(3:4,closest_subject) ;           
    end    
    X_length_growth(i,1:2) = (dimension_x-dimension_neu_UAFUAM(1:2,closest_subject))';
    Y_length_growth(i,1:2) = (dimension_y-dimension_neu_UAFUAM(3:4,closest_subject))';    
end

for i=1:3
    upper_index = [1 2 3 4 14 15 16];
    lower_index = [6 7 8 9 10 11 12];
    base_UAF_length_1 = UAF_wrl_max_dimension(3,:);
    base_UAF_length_2 = UAF_wrl_max_dimension(4,:);
    new_UAF_length_1 = base_UAF_length_1 + Y_length_growth(i,1);
    new_UAF_length_2 = base_UAF_length_2 + Y_length_growth(i,2);
    ratio_upper = new_UAF_length_1/base_UAF_length_1;
    ratio_lower = new_UAF_length_2/base_UAF_length_2;
    for j = upper_index
        UAF(j,(3*i-1)) = UAF_wrl(j,2)*ratio_upper;
    end
    for j = lower_index
        UAF(j,(3*i-1)) = UAF_wrl(j,2)*ratio_lower;
    end
end


for i=1:3
    left_index = [10 11 12 13 14 15 16];
    right_index = [2 3 4 5 6 7 8];
    base_UAF_length_1 = UAF_wrl_max_dimension(1,:);
    base_UAF_length_2 = UAF_wrl_max_dimension(2,:);
    new_UAF_length_1 = base_UAF_length_1 + X_length_growth(i,1);
    new_UAF_length_2 = base_UAF_length_2 + X_length_growth(i,2);
    ratio_right = new_UAF_length_1/base_UAF_length_1;
    ratio_left = new_UAF_length_2/base_UAF_length_2;   
    for j = left_index
        UAF(j,(3*i-2)) = UAF_wrl(j,1)*ratio_left;
    end
    for j = right_index
        UAF(j,(3*i-2)) = UAF_wrl(j,1)*ratio_right;
    end
end
 
UAF=[UAF zeros(16,1)];
 
for i=1:3
    if i==1
       dimension_x = dimension_135_UAFUAM(5:6,closest_subject);
       dimension_y = dimension_135_UAFUAM(7:8,closest_subject);           
    elseif i == 2
       dimension_x = dimension_90_UAFUAM(5:6,closest_subject);
       dimension_y = dimension_90_UAFUAM(7:8,closest_subject)   ;         
    else
       dimension_x = dimension_max_UAFUAM(5:6,closest_subject);
       dimension_y = dimension_max_UAFUAM(7:8,closest_subject) ;           
    end 
    X_length_growth(i,1:2) = (dimension_x-dimension_neu_UAFUAM(5:6,closest_subject))';
    Y_length_growth(i,1:2) = (dimension_y-dimension_neu_UAFUAM(7:8,closest_subject))';
end


for i=1:3
    upper_index = [1 2 3 4 14 15 16];
    lower_index = [6 7 8 9 10 11 12];
    base_UAM_length_1 = UAM_wrl_max_dimension(3,:);
    base_UAM_length_2 = UAM_wrl_max_dimension(4,:);
    new_UAM_length_1 = base_UAM_length_1 + Y_length_growth(i,1);
    new_UAM_length_2 = base_UAM_length_2 + Y_length_growth(i,2);
    ratio_upper = new_UAM_length_1/base_UAM_length_1;
    ratio_lower = new_UAM_length_2/base_UAM_length_2;
    for j = upper_index
        UAM(j,(3*i-1)) = UAM_wrl(j,2)*ratio_upper;
    end
    for j = lower_index
        UAM(j,(3*i-1)) = UAM_wrl(j,2)*ratio_lower;
    end
end


for i=1:3
    left_index = [10 11 12 13 14 15 16];
    right_index = [2 3 4 5 6 7 8];
    base_UAM_length_1 = UAM_wrl_max_dimension(1,:);
    base_UAM_length_2 = UAM_wrl_max_dimension(2,:);
    new_UAM_length_1 = base_UAM_length_1 + X_length_growth(i,1);
    new_UAM_length_2 = base_UAM_length_2 + X_length_growth(i,2);
    ratio_left = new_UAM_length_1/base_UAM_length_1;
    ratio_right = new_UAM_length_2/base_UAM_length_2;
    for j = left_index
        UAM(j,(3*i-2)) = UAM_wrl(j,1)*ratio_left;
    end
    for j = right_index
        UAM(j,(3*i-2)) = UAM_wrl(j,1)*ratio_right;
    end
end

UAM = [UAM zeros(16,1)];


load ('C:\MATLAB7\work\OUTPUT\CS_distance.mat')
load ('C:\MATLAB7\work\OUTPUT\CS.mat')
load ('C:\MATLAB7\work\OUTPUT\profile.mat')

[UAF_distance_135] = lin_int_distance(UAF_distance_neutral,UAF_distance_max,arm_angle,135);
UAF_bone_point = UAF_distance_135*UAF_CS(2,:);
