function [UAF_length,UAM_length,E_length,bone_points_in_out] = CS_length_front_view(CS_bspline_max_front,new_UAF_CS,E_CS)

[UAF_point_in,UAF_point_out] = bone_point_for_profile_intersection(CS_bspline_max_front(1,1:2),CS_bspline_max_front(1,3:4),new_UAF_CS(2,:));
[UAM_point_in,UAM_point_out] = bone_point_for_profile_intersection(CS_bspline_max_front(2,1:2),CS_bspline_max_front(2,3:4),new_UAF_CS(2,:));
[E_point_in,E_point_out] = bone_point_for_profile_intersection(CS_bspline_max_front(3,1:2),CS_bspline_max_front(3,3:4),new_UAF_CS(2,:));


bone_points_in_out = [UAF_point_in UAF_point_out;UAM_point_in UAM_point_out;E_point_in E_point_out];

left_UAF = CS_bspline_max_front(1,1:2)-UAF_point_in;
left_UAF = (dot(left_UAF,left_UAF))^0.5;
right_UAF = CS_bspline_max_front(1,3:4)-UAF_point_out;
right_UAF = (dot(right_UAF,right_UAF))^0.5;
UAF_length = left_UAF + right_UAF;

left_UAM = CS_bspline_max_front(2,1:2)-UAM_point_in;
left_UAM = (dot(left_UAM,left_UAM))^0.5;
right_UAM = CS_bspline_max_front(2,3:4)-UAM_point_out;
right_UAM = (dot(right_UAM,right_UAM))^0.5;
UAM_length = left_UAM + right_UAM;

left_E = CS_bspline_max_front(3,1:2)-E_point_in;
left_E = (dot(left_E,left_E))^0.5;
right_E = CS_bspline_max_front(3,3:4)-E_point_out;
right_E = (dot(right_E,right_E))^0.5;
E_length = left_E + right_E;