clear all

load ('C:\MATLAB7\work\OUTPUT\profile_coordinates_max.mat')
load ('C:\MATLAB7\work\OUTPUT\profile_coordinates_90.mat')
load ('C:\MATLAB7\work\OUTPUT\profile_coordinates_135.mat')

load('C:\MATLAB7\work\OUTPUT\UAF_3D.mat')
load('C:\MATLAB7\work\OUTPUT\UAM_3D.mat')
load('C:\MATLAB7\work\OUTPUT\E_3D.mat')
load('C:\MATLAB7\work\OUTPUT\LAM_3D.mat')
load('C:\MATLAB7\work\OUTPUT\LAF_3D.mat')
 

load ('C:\MATLAB7\work\OUTPUT\new_UAF_CS.mat')
load ('C:\MATLAB7\work\OUTPUT\LAF_CS_all.mat')
load ('C:\MATLAB7\work\OUTPUT\E_CS_all.mat')

%%%_____________________________ SIDE TRANSLATION CS_____________________________________
load ('C:\MATLAB7\work\OUTPUT\CS_distance.mat')
[distances_135,distances_90,distances_max] = calculate_distance_other_key_postures;
distances_max = [UAF_distance_max;distances_max;LAF_distance_max];

[CS_bspline_135,center_135] = creating_CS_bspline(UAF_3D(:,4:6),UAM_3D(:,4:6),E_3D(:,4:6),LAM_3D(:,4:6),LAF_3D(:,4:6));
[CS_bspline_135_max] = determining_inside_outside_points([CS_bspline_135(:,2:3) CS_bspline_135(:,5:6)  CS_bspline_135(:,8:9)  CS_bspline_135(:,11:12)  CS_bspline_135(:,14:15)],new_UAF_CS,E_CS_all(1:3,:),LAF_CS_all(1:3,:));
[CS_bspline_135_max_front] = determining_front_view_inside_outside_points([CS_bspline_135(:,1:2) CS_bspline_135(:,4:5)  CS_bspline_135(:,7:8)  CS_bspline_135(:,10:11)  CS_bspline_135(:,13:14)],new_UAF_CS,E_CS_all(1:3,:),LAF_CS_all(1:3,:));
clear CS_bspline_135
%% *** 90
[CS_bspline_90,center_90] = creating_CS_bspline(UAF_3D(:,7:9),UAM_3D(:,7:9),E_3D(:,7:9),LAM_3D(:,7:9),LAF_3D(:,7:9));
[CS_bspline_90_max] = determining_inside_outside_points([CS_bspline_90(:,2:3) CS_bspline_90(:,5:6)  CS_bspline_90(:,8:9)  CS_bspline_90(:,11:12)  CS_bspline_90(:,14:15)],new_UAF_CS,E_CS_all(4:6,:),LAF_CS_all(4:6,:));
[CS_bspline_90_max_front] = determining_front_view_inside_outside_points([CS_bspline_90(:,1:2) CS_bspline_90(:,4:5)  CS_bspline_90(:,7:8)  CS_bspline_90(:,10:11)  CS_bspline_90(:,13:14)],new_UAF_CS,E_CS_all(4:6,:),LAF_CS_all(4:6,:));
clear CS_bspline_90
%% ***max
[CS_bspline_max,center_max] = creating_CS_bspline(UAF_3D(:,10:12),UAM_3D(:,10:12),E_3D(:,10:12),LAM_3D(:,10:12),LAF_3D(:,10:12));
[CS_bspline_max_max] = determining_inside_outside_points([CS_bspline_max(:,2:3) CS_bspline_max(:,5:6)  CS_bspline_max(:,8:9)  CS_bspline_max(:,11:12)  CS_bspline_max(:,14:15)],new_UAF_CS,E_CS_all(7:9,:),LAF_CS_all(7:9,:));
[CS_bspline_max_max_front] = determining_front_view_inside_outside_points([CS_bspline_max(:,1:2) CS_bspline_max(:,4:5)  CS_bspline_max(:,7:8)  CS_bspline_max(:,10:11)  CS_bspline_max(:,13:14)],new_UAF_CS,E_CS_all(7:9,:),LAF_CS_all(7:9,:));
clear CS_bspline_max

%%% *** 135
CrossSec_135 = [UAF_3D(:,4:6) UAM_3D(:,4:6) E_3D(:,4:6) LAM_3D(:,4:6) LAF_3D(:,4:6)];
vector_coordinates_sytem = [new_UAF_CS(3,:)  new_UAF_CS(3,:)  E_CS_all(3,:)  LAF_CS_all(3,:)  LAF_CS_all(3,:)];
% bone_coordinates_system = [new_UAF_CS(2,:)  new_UAF_CS(2,:)   0 0 0    LAF_CS_all(2,:)  LAF_CS_all(2,:)];
[vector_coordinates_sytem] = modify_vector_coordinates_sytem(vector_coordinates_sytem,profile_coordinates_135,CS_bspline_135_max); %%,distances_135,bone_coordinates_system
[new_CrossSec_135,new_center_135,new_CS_bspline_135_max,translation_magnitude_135] = translating_CS(profile_coordinates_135,vector_coordinates_sytem,CS_bspline_135_max(:,3:4),CrossSec_135,CS_bspline_135_max,center_135);

%%% *** 90
CrossSec_90 = [UAF_3D(:,7:9) UAM_3D(:,7:9) E_3D(:,7:9) LAM_3D(:,7:9) LAF_3D(:,7:9)];
vector_coordinates_sytem = [new_UAF_CS(3,:)  new_UAF_CS(3,:)  E_CS_all(6,:)  LAF_CS_all(6,:)  LAF_CS_all(6,:)];
bone_coordinates_system = [new_UAF_CS(2,:)  new_UAF_CS(2,:)   0 0 0    LAF_CS_all(5,:)  LAF_CS_all(5,:)];
[vector_coordinates_sytem] = modify_vector_coordinates_sytem(vector_coordinates_sytem,profile_coordinates_90,CS_bspline_90_max); %%,distances_90,bone_coordinates_system
[new_CrossSec_90,new_center_90,new_CS_bspline_90_max,translation_magnitude_90] = translating_CS(profile_coordinates_90,vector_coordinates_sytem,CS_bspline_90_max(:,3:4),CrossSec_90,CS_bspline_90_max,center_90);

%%% *** max
CrossSec_max = [UAF_3D(:,10:12) UAM_3D(:,10:12) E_3D(:,10:12) LAM_3D(:,10:12) LAF_3D(:,10:12)];
vector_coordinates_sytem = [new_UAF_CS(3,:)  new_UAF_CS(3,:)  E_CS_all(9,:)  LAF_CS_all(9,:)  LAF_CS_all(9,:)];
bone_coordinates_system = [new_UAF_CS(2,:)  new_UAF_CS(2,:)   0 0 0    LAF_CS_all(8,:)  LAF_CS_all(8,:)];
[vector_coordinates_sytem] = modify_vector_coordinates_sytem(vector_coordinates_sytem,profile_coordinates_max,CS_bspline_max_max); %%,distances_max,bone_coordinates_system
[new_CrossSec_max,new_center_max,new_CS_bspline_max_max,translation_magnitude_max] = translating_CS(profile_coordinates_max,vector_coordinates_sytem,CS_bspline_max_max(:,3:4),CrossSec_max,CS_bspline_max_max,center_max);


%%%___________________________ LAM SIZE ADJUSTMENTS ______________________________
%% CHECK E-LAM-LAF for 90
[CS_bspline_90,center_90] = creating_CS_bspline(new_CrossSec_90(:,1:3),new_CrossSec_90(:,4:6),new_CrossSec_90(:,7:9),new_CrossSec_90(:,10:12),new_CrossSec_90(:,13:15));
[bspline_90_max] = bspline_max_side_view(CS_bspline_90,new_UAF_CS,E_CS_all(4:6,:),LAF_CS_all(4:6,:),distances_90);
[reduced_length] = check_90_E_LAM_LAF_angle(LAF_CS_all,bspline_90_max);


reduced_length = 0;
[new_LAM_90_3D] = adjusting_LAM(CS_bspline_90(:,10:12),bspline_90_max(4,:),reduced_length,new_CrossSec_90(:,10:12),LAF_CS_all(4:6,:),center_90(3,:));
new_CrossSec_90(:,10:12) = new_LAM_90_3D;

% MODIFY LAM 135

[CS_bspline_135,center_135] = creating_CS_bspline(new_CrossSec_135(:,1:3),new_CrossSec_135(:,4:6),new_CrossSec_135(:,7:9),new_CrossSec_135(:,10:12),new_CrossSec_135(:,13:15));
[bspline_135_max] = bspline_max_side_view(CS_bspline_135,new_UAF_CS,E_CS_all(1:3,:),LAF_CS_all(1:3,:),distances_135);
[new_LAM_135_3D] = adjusting_LAM(CS_bspline_135(:,10:12),bspline_135_max(4,:),reduced_length,new_CrossSec_135(:,10:12),LAF_CS_all(1:3,:),center_135(3,:));
new_CrossSec_135(:,10:12) = new_LAM_135_3D;

%%%___________________________ LOWER ARM SIZE ADJUSTMENTS ______________________________
%%% LAF 135
[CS_bspline_135,center_135] = creating_CS_bspline(new_CrossSec_135(:,1:3),new_CrossSec_135(:,4:6),new_CrossSec_135(:,7:9),new_CrossSec_135(:,10:12),new_CrossSec_135(:,13:15));
[bspline_135_max] = bspline_max_side_view(CS_bspline_135,new_UAF_CS,E_CS_all(1:3,:),LAF_CS_all(1:3,:),distances_135);

[reduced_length_LA] = LAM_LAF_final_side_adjustments(distances_135,LAF_CS_all,bspline_135_max);

[new_LAM_135_3D] = adjusting_LAM(CS_bspline_135(:,10:12),bspline_135_max(4,:),reduced_length_LA,new_CrossSec_135(:,10:12),LAF_CS_all(1:3,:),center_135(3,:));
new_CrossSec_135(:,10:12) = new_LAM_135_3D;
[new_LAF_135_3D] = adjusting_LAM(CS_bspline_135(:,13:15),bspline_135_max(5,:),reduced_length_LA,new_CrossSec_135(:,13:15),LAF_CS_all(1:3,:),center_135(4,:));
new_CrossSec_135(:,13:15) = new_LAF_135_3D;

%%% 90
[CS_bspline_90,center_90] = creating_CS_bspline(new_CrossSec_90(:,1:3),new_CrossSec_90(:,4:6),new_CrossSec_90(:,7:9),new_CrossSec_90(:,10:12),new_CrossSec_90(:,13:15));
[bspline_90_max] = bspline_max_side_view(CS_bspline_90,new_UAF_CS,E_CS_all(4:6,:),LAF_CS_all(4:6,:),distances_90);
[new_LAM_90_3D] = adjusting_LAM(CS_bspline_90(:,10:12),bspline_90_max(4,:),reduced_length_LA,new_CrossSec_90(:,10:12),LAF_CS_all(4:6,:),center_90(3,:));
new_CrossSec_90(:,10:12) = new_LAM_90_3D;
[new_LAF_90_3D] = adjusting_LAM(CS_bspline_90(:,13:15),bspline_90_max(5,:),reduced_length_LA,new_CrossSec_90(:,13:15),LAF_CS_all(4:6,:),center_90(4,:));
new_CrossSec_90(:,13:15) = new_LAF_90_3D;

%%% MODIFY LAM and LAF MAX  
[new_CrossSec_max] = modify_LAM_LAF_max(new_CrossSec_max,new_CrossSec_90,new_UAF_CS,E_CS_all,LAF_CS_all);
[new_CrossSec_max] = meeting_point_UAF_LAF_max(new_CrossSec_max,new_CrossSec_90,new_UAF_CS,E_CS_all,LAF_CS_all,distances_max,distances_90);


%%%___________________________ FINAL ADJUSTMENT OF UAF FOR 135 and MAX _______________________

[CS_bspline_135,center_135] = creating_CS_bspline(new_CrossSec_135(:,1:3),new_CrossSec_135(:,4:6),new_CrossSec_135(:,7:9),new_CrossSec_135(:,10:12),new_CrossSec_135(:,13:15));
[bspline_135_max] = bspline_max_side_view(CS_bspline_135,new_UAF_CS,E_CS_all(1:3,:),LAF_CS_all(1:3,:),distances_135);

[CS_bspline_90,center_90] = creating_CS_bspline(new_CrossSec_90(:,1:3),new_CrossSec_90(:,4:6),new_CrossSec_90(:,7:9),new_CrossSec_90(:,10:12),new_CrossSec_90(:,13:15));
[bspline_90_max] = bspline_max_side_view(CS_bspline_90,new_UAF_CS,E_CS_all(4:6,:),LAF_CS_all(4:6,:),distances_90);

[new_CrossSec_135,new_CrossSec_90] = UAF_UAM_size_adjustment_135_and_90(bspline_135_max,bspline_90_max,new_UAF_CS,E_CS_all,LAF_CS_all,new_CrossSec_135,new_CrossSec_90,center_135,center_90,distances_90);

%%%_______________________________ FRONT TRANSLATION CS _______________________________

[new_CrossSec_135,new_CrossSec_90,new_CrossSec_max] = adjusting_CrossSec_for_front_view_version_2(new_CrossSec_135,new_CrossSec_90,new_CrossSec_max,UAF_3D,UAM_3D,E_3D,LAM_3D,LAF_3D) ;

%%___________________________ FINAL SAMPLING AND SAVING MAGNITUDES ________________________
%% This has to be done once the front and side views of the cross sections
%% are completed
distance_neutral = [UAF_distance_neutral;UAM_distance_neutral;LAM_distance_neutral;LAF_distance_neutral];
load('C:\MATLAB7\work\INITIAL INPUT\unit_vector.mat')
load ('C:\MATLAB7\work\OUTPUT\CS.mat')

[new_CrossSec_neu,magnitude_CrossSec_neutral] = resample_profile_CS_finalize(new_UAF_CS,E_CS,LAF_CS,[UAF_3D(:,1:3) UAM_3D(:,1:3) E_3D(:,1:3) LAM_3D(:,1:3) LAF_3D(:,1:3)],distance_neutral,unit_vector);
[new_CrossSec_135,magnitude_CrossSec_135] = resample_profile_CS_finalize(new_UAF_CS,E_CS_all(1:3,:),LAF_CS_all(1:3,:),new_CrossSec_135,distances_135,unit_vector);
[new_CrossSec_90,magnitude_CrossSec_90] = resample_profile_CS_finalize(new_UAF_CS,E_CS_all(4:6,:),LAF_CS_all(4:6,:),new_CrossSec_90,distances_90,unit_vector);
[new_CrossSec_max,magnitude_CrossSec_max] = resample_profile_CS_finalize(new_UAF_CS,E_CS_all(7:9,:),LAF_CS_all(7:9,:),new_CrossSec_max,distances_max,unit_vector);

save('C:\MATLAB7\work\OUTPUT\CrossSec_magnitudes.mat','magnitude_CrossSec_neutral','magnitude_CrossSec_135','magnitude_CrossSec_90','magnitude_CrossSec_max')

