function [new_CrossSec_135,new_CrossSec_90] = UAF_UAM_size_adjustment_135_and_90(bspline_135_max,bspline_90_max,new_UAF_CS,E_CS_all,LAF_CS_all,new_CrossSec_135,new_CrossSec_90,center_135,center_90,distances_90)


load ('C:\MATLAB7\work\OUTPUT\profile.mat')
vector_1 = bspline_135_max(1,1:2)-bspline_135_max(2,1:2)
vector_2 = bspline_135_max(3,1:2)-bspline_135_max(2,1:2)
vector_cross = cross([0 vector_1],[0 vector_2])
if vector_cross(1,1)<0
    m = new_UAF_CS(2,2)/new_UAF_CS(2,3);
    m_1 = -1/m;
    b_1 = bspline_135_max(1,3)-bspline_135_max(1,4)*m_1;
    z = b_1/(m - m_1);
    y = m*z;
    vector_line = [bspline_135_max(1,4) bspline_135_max(1,3)] - [z y];
    vector_line = vector_line/(dot(vector_line,vector_line)^0.5);
    [bezier]=bspline_to_bezier([profile_right(:,3) profile_right(:,2)]);
    [intersection_right,sub_bezier_with_int] = bezier_line_intersection_non_zero_origin(bezier,[z y],vector_line);
    clear bezier
    intersection_right = [intersection_right(1,2) intersection_right(1,1)];
    added_distance = intersection_right-bspline_135_max(1,3:4);
    added_distance = dot(added_distance,added_distance)^0.5;
    
    b_2 = bspline_135_max(1,1)-bspline_135_max(1,2)*m_1;
    z = b_2/(m - m_1);
    y = m*z;
    vector_line = [bspline_135_max(1,2) bspline_135_max(1,1)] - [z y];
    vector_line = vector_line/(dot(vector_line,vector_line)^0.5);
    [bezier]=bspline_to_bezier([profile_left(:,3) profile_left(:,2)]);
    [intersection_left,sub_bezier_with_int] = bezier_line_intersection_non_zero_origin(bezier,[z y],vector_line);
    clear bezier
    intersection_left = [intersection_left(1,2) intersection_left(1,1)];
    left_distance = intersection_left-bspline_135_max(1,1:2);
    left_distance = dot(left_distance,left_distance)^0.5;
    if left_distance<added_distance
        added_distance = left_distance;
    end
    [new_UAF_CrossSec_135] = scaling_CrossSec_side_view_in_2D(center_135(1,:),new_UAF_CS,new_CrossSec_135(:,1:3),added_distance);
    new_CrossSec_135(:,1:3) = new_UAF_CrossSec_135;
        
    vector_1 = bspline_90_max(1,1:2)-bspline_90_max(2,1:2);
    vector_2 = bspline_90_max(3,1:2)-bspline_90_max(2,1:2);
    vector_cross_reference = cross([0 vector_1],[0 vector_2]);
    if vector_cross_reference(1,1)>0
        clock_wise = 1;
    else
        clock_wise = 0;
    end
    vector_1 = vector_1/(dot(vector_1,vector_1)^0.5);
    vector_2 = vector_2/(dot(vector_2,vector_2)^0.5);
    angle_reference = acos(dot(vector_1,vector_2))*180/pi
    
    %% to check whether the added_distance is larger than the distance of
    %% bspline_90_max(1,1:2) and profile_left. do not use added_distance if true.
    b_3 = bspline_90_max(1,1)-bspline_90_max(1,2)*m_1;
    z = b_3/(m - m_1);
    y = m*z;   
    vector_line = [bspline_90_max(1,2) bspline_90_max(1,1)] - [z y];
    vector_line = vector_line/(dot(vector_line,vector_line)^0.5);
    [bezier]=bspline_to_bezier([profile_left(:,3) profile_left(:,2)]);
    [intersection_left_90,sub_bezier_with_int] = bezier_line_intersection_non_zero_origin(bezier,[z y],vector_line);
    clear bezier
    intersection_left_90 = [intersection_left_90(1,2) intersection_left_90(1,1)];
    left_distance_90 = intersection_left_90-bspline_90_max(1,1:2);
    left_distance_90 = dot(left_distance_90,left_distance_90)^0.5;
    if left_distance_90<added_distance
        added_distance = left_distance_90;
    end
    [new_UAF_CrossSec_90] = scaling_CrossSec_side_view_in_2D(center_90(1,:),new_UAF_CS,new_CrossSec_90(:,1:3),added_distance);
    new_CrossSec_90(:,1:3) = new_UAF_CrossSec_90;
    
    %% recalculate the bspline_90_max
    [CS_bspline_90,center_90] = creating_CS_bspline(new_CrossSec_90(:,1:3),new_CrossSec_90(:,4:6),new_CrossSec_90(:,7:9),new_CrossSec_90(:,10:12),new_CrossSec_90(:,13:15));
    [bspline_90_max] = bspline_max_side_view(CS_bspline_90,new_UAF_CS,E_CS_all(4:6,:),LAF_CS_all(4:6,:),distances_90);
    
    %% 1. find a point to make 180 degree.
    %% 2. based on angle direction: add a point. to the right, if clockwise = 1
    %%    to the left, if clockwise = 0
    
    b_4 = bspline_90_max(2,1)-bspline_90_max(2,2)*m_1;
    z = b_4/(m - m_1);
    y = m*z;
    vector_UAM_90 = bspline_90_max(2,1:2)- [y z];
    vector_UAM_90 = vector_UAM_90/(dot(vector_UAM_90,vector_UAM_90)^0.5);
        
    vector_1_3 = bspline_90_max(1,1:2)-bspline_90_max(3,1:2);
    m_2 = vector_1_3(1,1)/vector_1_3(1,2);
    b_5 = bspline_90_max(1,1) - m_2*bspline_90_max(1,2);
    z_1_3 = (b_5-b_4)/(m_1-m_2);
    y_1_3 = m_2*z_1_3 + b_5 ;
    point_180 = [y_1_3 z_1_3];
    
    if clock_wise == 1
        point_additional = -vector_UAM_90*10 + point_180;
        vector_1 = bspline_90_max(1,1:2)-point_additional;
        vector_2 = bspline_90_max(3,1:2)-point_additional;
        cross_interpolation_1 = cross([0 vector_1],[0 vector_2]);
        vector_1 = vector_1/(dot(vector_1,vector_1)^0.5);
        vector_2 = vector_2/(dot(vector_2,vector_2)^0.5);
        angle_interpolation_1 = acos(dot(vector_1,vector_2))*180/pi;
        new_distance = ((180-angle_reference)/(180-angle_interpolation_1))*10;
        new_point = -vector_UAM_90*new_distance + point_180;
    else
        point_additional = vector_UAM_90*10 + point_180;
        vector_1 = bspline_90_max(1,1:2)-point_additional;
        vector_2 = bspline_90_max(3,1:2)-point_additional;
        cross_interpolation_1 = cross([0 vector_1],[0 vector_2]);
        vector_1 = vector_1/(dot(vector_1,vector_1)^0.5);
        vector_2 = vector_2/(dot(vector_2,vector_2)^0.5);
        angle_interpolation_1 = acos(dot(vector_1,vector_2))*180/pi;
        new_distance = ((180-angle_reference)/(180-angle_interpolation_1))*10;
        new_point = vector_UAM_90*new_distance + point_180;
    end
    
    added_distance_UAM = new_point-bspline_90_max(2,1:2);
    added_distance_UAM = dot(added_distance_UAM,added_distance_UAM)^0.5;
    [new_UAM_CrossSec_90] = scaling_CrossSec_side_view_in_2D(center_90(2,:),new_UAF_CS,new_CrossSec_90(:,4:6),added_distance_UAM);
    new_CrossSec_90(:,4:6) = new_UAM_CrossSec_90;
end
