function [new_LAM_3D] = adjusting_LAM(CS_bspline,bspline_max,reduced_length_by,new_CrossSec,LAF_CS_all,center)

index = find(CS_bspline(:,2) == bspline_max(1,1));
vector = CS_bspline(index,2)-center(1,2);
distance_vector = (dot(vector,vector))^0.5;
ratio_upper = (distance_vector-reduced_length_by*0.5)/distance_vector;
index = find(CS_bspline(:,2) == bspline_max(1,3));
vector = CS_bspline(index,2)-center(1,2);
distance_vector = (dot(vector,vector))^0.5;
ratio_lower = (distance_vector-reduced_length_by*0.5)/distance_vector;

LAM_2D = new_CrossSec*transpose(LAF_CS_all);
center_LAM_2D = center*transpose(LAF_CS_all);
for i=1:16
    LAM_2D(i,:) = LAM_2D(i,:)-[center_LAM_2D(1,1) 0 center_LAM_2D(1,3)];
end


[val_min index_min] = min(LAM_2D(:,3));

for j=1:16
    upper_index = [1 2 3 4 14 15 16];
    lower_index = [6 7 8 9 10 11 12];
    if j == upper_index
        LAM_2D(j,3) = LAM_2D(j,3)*ratio_upper;
    else
        LAM_2D(j,3) = LAM_2D(j,3)*ratio_lower;
    end
end

[new_val_min index_min] = min(LAM_2D(:,3));
translation = val_min-new_val_min;

for i=1:16
    LAM_2D(i,:) = LAM_2D(i,:) + [0 0 translation]+[center_LAM_2D(1,1) 0 center_LAM_2D(1,3)] ;
end


new_LAM_3D = LAM_2D*LAF_CS_all;

