function [new_CrossSec_max] = meeting_point_UAF_LAF_max(new_CrossSec_max,new_CrossSec_90,new_UAF_CS,E_CS_all,LAF_CS_all,distances_max,distances_90)

[CS_bspline_max,center_max] = creating_CS_bspline(new_CrossSec_max(:,1:3),new_CrossSec_max(:,4:6),new_CrossSec_max(:,7:9),new_CrossSec_max(:,10:12),new_CrossSec_max(:,13:15));


[bspline_max_max] = bspline_max_side_view(CS_bspline_max,new_UAF_CS,E_CS_all(7:9,:),LAF_CS_all(7:9,:),distances_max);
[CS_bspline_90,center_90] = creating_CS_bspline(new_CrossSec_90(:,1:3),new_CrossSec_90(:,4:6),new_CrossSec_90(:,7:9),new_CrossSec_90(:,10:12),new_CrossSec_90(:,13:15));
[bspline_90_max] = bspline_max_side_view(CS_bspline_90,new_UAF_CS,E_CS_all(4:6,:),LAF_CS_all(4:6,:),distances_90);

OutIn_LAF_90 = bspline_90_max(5,1:2)-bspline_90_max(5,3:4);
distance_LAF_90 = dot(OutIn_LAF_90,OutIn_LAF_90)^0.5;
OutIn_LAF_max = bspline_max_max(5,1:2)-bspline_max_max(5,3:4);
distance_LAF_max = dot(OutIn_LAF_max,OutIn_LAF_max)^0.5;
additional_LAF_length = distance_LAF_90-distance_LAF_max;

if abs(additional_LAF_length)>0
    [new_LAM_CrossSec_max] = scaling_CrossSec_side_view_in_2D(center_max(3,:),LAF_CS_all(7:9,:),new_CrossSec_max(:,10:12),additional_LAF_length);
    new_CrossSec_max(:,10:12) = new_LAM_CrossSec_max;
    [new_LAF_CrossSec_max] = scaling_CrossSec_side_view_in_2D(center_max(4,:),LAF_CS_all(7:9,:),new_CrossSec_max(:,13:15),additional_LAF_length);
    new_CrossSec_max(:,13:15) = new_LAF_CrossSec_max;
end

[CS_bspline_max,center_max] = creating_CS_bspline(new_CrossSec_max(:,1:3),new_CrossSec_max(:,4:6),new_CrossSec_max(:,7:9),new_CrossSec_max(:,10:12),new_CrossSec_max(:,13:15));
[bspline_max_max] = bspline_max_side_view(CS_bspline_max,new_UAF_CS,E_CS_all(7:9,:),LAF_CS_all(7:9,:),distances_max);

center_UAF = distances_max(1,:)*new_UAF_CS(2,:);
vector_A = [0 bspline_max_max(1,1:2)]-[0 center_UAF(:,2:3)];
vector_B = [0 bspline_max_max(5,1:2)]-[0 center_UAF(:,2:3)];
cross_product = cross(vector_A,vector_B);
UAF_LAF_max_distance = bspline_max_max(1,1:2) - bspline_max_max(5,1:2);
additional_UAF_length = dot(UAF_LAF_max_distance,UAF_LAF_max_distance)^0.5;
if cross_product(1,1) < 0
    additional_UAF_length = -additional_UAF_length ;
end

[new_UAF_CrossSec_max] = scaling_CrossSec_side_view_in_2D(center_max(1,:),new_UAF_CS,new_CrossSec_max(:,1:3),additional_UAF_length);
new_CrossSec_max(:,1:3) = new_UAF_CrossSec_max;

[CS_bspline_max,center_max] = creating_CS_bspline(new_CrossSec_max(:,1:3),new_CrossSec_max(:,4:6),new_CrossSec_max(:,7:9),new_CrossSec_max(:,10:12),new_CrossSec_max(:,13:15));
[bspline_max_max] = bspline_max_side_view(CS_bspline_max,new_UAF_CS,E_CS_all(7:9,:),LAF_CS_all(7:9,:),distances_max);
UAF_length = bspline_max_max(1,1:2)-bspline_max_max(1,3:4);
UAF_length = (dot(UAF_length,UAF_length))^0.5;
UAM_length = bspline_max_max(2,1:2)-bspline_max_max(2,3:4);
UAM_length = (dot(UAM_length,UAM_length))^0.5;

temporary_new_CrossSec_max = new_CrossSec_max;

if bspline_max_max(4,2)>bspline_max_max(2,2)
    initial_UAM_LAM_distance = bspline_max_max(2,2)-bspline_max_max(4,2);
    [new_UAM_CrossSec_max] = scaling_CrossSec_side_view_in_2D(center_max(2,:),new_UAF_CS,new_CrossSec_max(:,4:6),additional_UAF_length);
    temporary_new_CrossSec_max(:,4:6) = new_UAM_CrossSec_max;
    [temporary_CS_bspline_max,center_max] = creating_CS_bspline(temporary_new_CrossSec_max(:,1:3),temporary_new_CrossSec_max(:,4:6),temporary_new_CrossSec_max(:,7:9),temporary_new_CrossSec_max(:,10:12),temporary_new_CrossSec_max(:,13:15));
    [temporary_bspline_max_max] = bspline_max_side_view(temporary_CS_bspline_max,new_UAF_CS,E_CS_all(7:9,:),LAF_CS_all(7:9,:),distances_max);
    temporary_UAM_LAM_distance = temporary_bspline_max_max(2,2)-temporary_bspline_max_max(4,2);
    if temporary_bspline_max_max(4,2)<temporary_bspline_max_max(2,2) 
        new_CrossSec_max(:,4:6) = new_UAM_CrossSec_max;
    end
end

if UAF_length<UAM_length
    [new_UAM_CrossSec_max] = scaling_CrossSec_side_view_in_2D(center_max(2,:),new_UAF_CS,new_CrossSec_max(:,4:6),additional_UAF_length);
    new_CrossSec_max(:,4:6) = new_UAM_CrossSec_max;
end

