function [new_CrossSec] = scaling_CrossSec_side_view_in_2D(center_CrossSec,CoordSys_part,new_CrossSec,additional_length)

center_CrossSec_2D = center_CrossSec*transpose(CoordSys_part);
for i=1:16
    new_CrossSec_2D(i,1:3) = new_CrossSec(i,1:3)*transpose(CoordSys_part)-center_CrossSec_2D;
end  

ratio_positive = (max(new_CrossSec_2D(:,3))+ additional_length/2)/max(new_CrossSec_2D(:,3));
ratio_negative = (min(new_CrossSec_2D(:,3))- additional_length/2)/min(new_CrossSec_2D(:,3));

for i=1:16
    if new_CrossSec_2D(i,3)<0
        new_CrossSec_2D(i,3) = ratio_negative*new_CrossSec_2D(i,3);
    else
        new_CrossSec_2D(i,3) = ratio_positive*new_CrossSec_2D(i,3);
    end
end

translation_vector = CoordSys_part(3,:)*(additional_length/2);

for i=1:16            
    new_CrossSec(i,1:3) = (new_CrossSec_2D(i,1:3)+center_CrossSec_2D)*CoordSys_part+translation_vector;
end
