function [sub_bezier_1,sub_bezier_2] =subdivide_bezier(bezier)

P0 = bezier(1,:);
P1 = bezier(2,:);
P2 = bezier(3,:);
P3 = bezier(4,:);

P01 = (P0+P1)/2;
P12 = (P1+P2)/2;
P23 = (P2+P3)/2;

P012 = (P01 + P12)/2;
P123 = (P12 + P23)/2;
P0123 = (P012+P123)/2;

sub_bezier_1 = [P0;P01;P012;P0123];
sub_bezier_2 = [P0123;P123;P23;P3];