function [coefficient]=calculate_poly_bezier(bezier)

[rowb col] = size(bezier);

    P0=bezier(1,:);
    P1=bezier(2,:);
    P2=bezier(3,:);
    P3=bezier(4,:);
    t_3_x = -P0(1,1) + 3*P1(1,1) - 3*P2(1,1) + P3(1,1);
    t_2_x = 3*P0(1,1) - 6*P1(1,1) + 3*P2(1,1);
    t_1_x = -3*P0(1,1) + 3*P1(1,1);
    t_0_x = P0(1,1);
 
    t_3_y = -P0(1,2) + 3*P1(1,2) - 3*P2(1,2) + P3(1,2);
    t_2_y = 3*P0(1,2) - 6*P1(1,2) +3*P2(1,2);
    t_1_y = -3*P0(1,2) + 3*P1(1,2);
    t_0_y = P0(1,2);
 
    if col ==3
    t_3_z = -P0(1,3) + 3*P1(1,3) - 3*P2(1,3) + P3(1,3);
    t_2_z = 3*P0(1,3) - 6*P1(1,3) +3*P2(1,3);
    t_1_z = -3*P0(1,3) + 3*P1(1,3);
    t_0_z = P0(1,3);
    end
coefficient = [t_3_x t_2_x t_1_x t_0_x;t_3_y t_2_y t_1_y t_0_y;t_3_z t_2_z t_1_z t_0_z];