function [lngth_cum] =continuous_subdivision_2D(all_bezier)

[rowbezier col]=size(all_bezier);
for loop =1:4:rowbezier
bezier = all_bezier(loop:loop+3,:)  ;
[sub_bezier_1,sub_bezier_2] =subdivide_bezier(bezier);

subbezier = [sub_bezier_1;sub_bezier_2];

err = 1e-06;
while err>=1e-06
    [rowsub colsub]=size(subbezier);
    count = 0;    
    for i=1:4:rowsub
        count = count+1;
        [sub_bezier_1,sub_bezier_2] =subdivide_bezier(subbezier(i:i+3,:));
        subbezier_new(((count-1)*8+1):(count*8),1:colsub) = [sub_bezier_1;sub_bezier_2];
    end
    
    subbezier = subbezier_new;

    l_chord = abs(subbezier(8,1)-subbezier(5,1))+abs(subbezier(8,2)-subbezier(5,2));
    l_1 = abs(subbezier(6,1)-subbezier(5,1))+abs(subbezier(6,2)-subbezier(5,2));
    l_2 = abs(subbezier(7,1)-subbezier(6,1))+abs(subbezier(7,2)-subbezier(6,2));
    l_3 = abs(subbezier(8,1)-subbezier(7,1))+abs(subbezier(8,2)-subbezier(7,2));
    compare = abs(l_chord-l_1-l_2-l_3);
    
    if compare < 1e-06
        [rowsub col]=size(subbezier);
        count_2 = 0;
        for k=1:4:rowsub
            subbezier;
            count_2 = count_2+1;
            if loop==1 & count_2==1
                lngth_prev = 0;
            elseif loop~=1 & count_2==1
                [rowlngth col] = size(lngth_cum);
                lngth_prev = lngth_cum(rowlngth,2);
            end
            lngth_now = ((subbezier(k+3,1)-subbezier(k,1))^2 + (subbezier(k+3,2)-subbezier(k,2))^2)^0.5+lngth_prev;
            
            lngth(count_2,1:3) = [(4*count_2)/rowsub lngth_now loop];
            lngth_prev = lngth_now;
        end
        err = 1e-07;        
        clear subbezier subbezier_new 
    end
end   

    if loop==1       
        lngth_cum = lngth;
    else
        lngth_cum = [lngth_cum;lngth];
    end
    clear lngth
end


lngth_cum = [0 0 1;lngth_cum(:,1) lngth_cum(:,2) lngth_cum(:,3)];

clear subbezier all_bezier lngth subbezier_new bezier sub_bezier_1 sub_bezier_2





