function [new_CrossSec] = CS_front_translation(UAF_keyposture_length,UAF_length_neu,CS_bspline_neu_max_front,CS_bspline_keyposture_max_front,CS_vector,new_CrossSec,CrossSec_part)

translation_magnitude = (UAF_keyposture_length - UAF_length_neu);

if translation_magnitude>0
    correct_length_vector = CS_bspline_neu_max_front(1,1) - translation_magnitude*0.5;
else
    correct_length_vector = CS_bspline_neu_max_front(1,1) - translation_magnitude*0.5;
end    

distance_difference = correct_length_vector-CS_bspline_keyposture_max_front(1,1);
test_1 = CS_bspline_keyposture_max_front(1,1:2) + CS_vector(1,1:2)*distance_difference;

test_2 = CS_bspline_keyposture_max_front(1,1:2) + CS_vector(1,1:2)*-distance_difference;

choosing_direction_of_distance_difference_1 =  test_1(1,1)-correct_length_vector;
choosing_direction_of_distance_difference_2 =  test_2(1,1)-correct_length_vector;

if abs(choosing_direction_of_distance_difference_1)<abs(choosing_direction_of_distance_difference_2)
    distance_difference = distance_difference;
else
    distance_difference = -distance_difference;
end


for i=1:16
    new_CrossSec(i,CrossSec_part) = new_CrossSec(i,CrossSec_part) + CS_vector(1,:)*distance_difference;%translation_magnitude;
end
