function [bspline_max] = determining_inside_outside_points(CS_bspline,new_UAF_CS,E_CS_all,LAF_CS_all)

[row_bspline col] = size(CS_bspline);
for i=1:5
    each_CS = CS_bspline(:,(2*i-1):2*i);
    if i <= 2
       bone = new_UAF_CS(2,2:3) ;
       bone_vector = -new_UAF_CS(2,2:3);
    elseif i == 3 
       bone_vector = -E_CS_all(2,2:3);
    else
       bone = LAF_CS_all(2,2:3);  
       bone_vector = LAF_CS_all(2,2:3);
    end
    mbone = bone(:,1)/bone(:,2); ;
    count_inside = 0;
    count_outside = 0;
    for j=1:row_bspline
        if i ~= 3
            mpoint = -(1/mbone);
            bpoint = each_CS(j,1) - mpoint*each_CS(j,2);
            z = bpoint/(mbone-mpoint);
            y = mbone*z;
            [0 y z]
            vector = each_CS(j,:)-[y z];
            cross_vector = cross([0 bone_vector],[0 vector]);
        else
            vector = each_CS(j,:)
            cross_vector = cross([0 bone_vector],[0 vector]);
        end
        if cross_vector(1,1) < 0        ;
            count_inside = count_inside+1;
            vector_length_inside(count_inside,1:2) = [dot(vector,vector)^0.5 j];
            vector_inside_bone(count_inside,1:6) = [0 each_CS(j,:) 0 [y z]];
        else                           ;
            count_outside = count_outside+1;
            vector_length_outside(count_outside,1:2) = [dot(vector,vector)^0.5 j];
            vector_outside_bone(count_outside,1:6) = [0 each_CS(j,:) 0 [y z]];
        end
    end
    vector_inside_bone
    vector_outside_bone
    index = find(vector_length_inside(:,1) == max(vector_length_inside(:,1)));
    [row_index not_used] = size(index);
    if row_index>1
       index = index(1,:);
    end
    inside_index = vector_length_inside(index,2);
    index = find(vector_length_outside(:,1) == max(vector_length_outside(:,1)));
    outside_index = vector_length_outside(index,2);
    if i == 1
       bspline_max = [each_CS(inside_index,:) each_CS(outside_index,:)];
    else
        bspline_max
        each_CS(inside_index,:)
        inside_index
        each_CS(outside_index,:)
        outside_index
        bspline_max = [bspline_max;[each_CS(inside_index,:) each_CS(outside_index,:)]]; 
        bspline_max
    end
    clear vector_length_outside vector_length_inside vector_inside_bone vector_outside_bone
end