function [LAM_new_basis_keyposture,LAF_new_basis_keyposture] = final_translation_of_lower_new_basis(LAM_length_keyposture,LAM_length_neu,LAF_length_keyposture,LAF_length_neu,LAM_new_basis_keyposture,LAF_new_basis_keyposture,bspline_max_neu_new_basis,bspline_max_keyposture_new_basis)

%% LAM
translation_magnitude = LAM_length_keyposture - LAM_length_neu;
if translation_magnitude>0
    correct_length_vector = bspline_max_neu_new_basis(2,1) - translation_magnitude*0.5;
else
    correct_length_vector = bspline_max_neu_new_basis(2,1) - translation_magnitude*0.5;
end    

distance_difference = correct_length_vector - bspline_max_keyposture_new_basis(2,1);
test_1 = bspline_max_keyposture_new_basis(2,1:2) + [1 0]*distance_difference;

if translation_magnitude>0
    if test_1(1,1)>bspline_max_neu_new_basis(2,1)
        distance_difference = -distance_difference;
    end
else
    if test_1(1,1)<bspline_max_neu_new_basis(2,1)
        distance_difference = -distance_difference;
    end
end

for i=1:16
    LAM_new_basis_keyposture(i,:) = LAM_new_basis_keyposture(i,:) + [1 0 0]*distance_difference;%translation_magnitude;
end

%% LAF
translation_magnitude = LAF_length_keyposture - LAF_length_neu;
if translation_magnitude>0
    correct_length_vector = bspline_max_neu_new_basis(3,1) - translation_magnitude*0.5;
else
    correct_length_vector = bspline_max_neu_new_basis(3,1) - translation_magnitude*0.5;
end    

distance_difference = correct_length_vector - bspline_max_keyposture_new_basis(3,1);
test_1 = bspline_max_keyposture_new_basis(3,1:2) + [1 0]*distance_difference;

if translation_magnitude>0
    if test_1(1,1)>bspline_max_neu_new_basis(3,1)
        distance_difference = -distance_difference;
    end
else
    if test_1(1,1)<bspline_max_neu_new_basis(3,1)
        distance_difference = -distance_difference;
    end
end

for i=1:16
    LAF_new_basis_keyposture(i,:) = LAF_new_basis_keyposture(i,:) + [1 0 0]*distance_difference;%translation_magnitude;
end