function [magnitude_CrossSec] = resample_profile_CS_finalize_neutral_only(UAF_3D,UAM_3D,E_3D,LAM_3D,LAF_3D,new_UAF_CS,E_CS_all,LAF_CS_all,distances)
% UAF_3D(:,4:6),UAM_3D(:,4:6),E_3D(:,4:6),LAM_3D(:,4:6),LAF_3D(:,4:6),new_UAF_CS,E_CS_all(1:3,:),LAF_CS_all(1:3,:),new_CrossSec_135,distances_135

for i=1:16
    UAF_3D_flat(i,:) = UAF_3D(i,:)*transpose(new_UAF_CS);    
    UAM_3D_flat(i,:) = UAM_3D(i,:)*transpose(new_UAF_CS);
    E_3D_flat(i,:) = E_3D(i,:)*transpose(E_CS_all(1:3,:));
    LAF_3D_flat(i,:) = LAM_3D(i,:)*transpose(LAF_CS_all(1:3,:));
    LAM_3D_flat(i,:) = LAF_3D(i,:)*transpose(LAF_CS_all(1:3,:));
end  

all_CS_flat = [UAF_3D_flat UAM_3D_flat E_3D_flat LAM_3D_flat LAF_3D_flat]

for i=1:5
    for j = 1:16
        magnitude_CrossSec(j,i) = dot([all_CS_flat(j,3*i-2)  all_CS_flat(j,3*i)],[all_CS_flat(j,3*i-2)  all_CS_flat(j,3*i)])^0.5;
    end
end

