function [sampling_vector_all]= vector_prev_segment(joint_length_per_key_posture,arm_vector,alt_loc_prev_segment) 

% % % % alt_loc_prev_segment should have a tag with it. in two rows, first row is the prev segment and the second row is the tag of the segment (i)
% clear all
% joint_length_per_key_posture =[258.6643   73.4247   36.7123         0   34.4700   68.9400  231.0250]
% arm_vector =[0.00000000000	236.20451765602	-81.63453079903  0.00000000000	-129.46678356383	152.71834733082];
% arm_vector =[0  242.5427  -89.8904         0 -224.2350   55.5987]
% alt_loc_prev_segment =[0.4000    0.2000    0.7000    0.3000    0.1000    0.5000    0.9000    0.6000    0.8000    0.7000    0.9000    0.4000  0.7000    0.5000    0.9000    0.3000    0.8000    0.1000    0.4000    0.3000    0.2000    0.7000    0.1000    0.6000  0.9000    0.6000    0.8000    0.6000    0.7000    0.3000    0.9000    0.4000;1.0000    1.0000    1.0000    1.0000    1.0000    1.0000    1.0000    1.0000    1.0000    2.0000    2.0000    2.0000  3.0000    3.0000    3.0000    3.0000    3.0000    3.0000    4.0000    4.0000    4.0000    4.0000    4.0000    4.0000  4.0000    5.0000    5.0000    6.0000    6.0000    6.0000    6.0000    6.0000]

[sampling_vector_all_1] = sampling_prev_UorL_only(alt_loc_prev_segment,joint_length_per_key_posture,arm_vector);

max_segment = max(alt_loc_prev_segment(2,:));
if max_segment ~= 6
   [sampling_vector_all_2] = rest_of_joint_length(joint_length_per_key_posture,max_segment,arm_vector); 
   sampling_vector_all = [sampling_vector_all_1;sampling_vector_all_2];
else
    sampling_vector_all = sampling_vector_all_1;
end

sampling_vector_all = single(sampling_vector_all);

loop_stop = 0;
count = 0;
while loop_stop == 0
    count = count + 1;
    list = find(sampling_vector_all(:,1) == sampling_vector_all(count,1));
    [row_list not_used] = size(list);
    if row_list > 1
        if (sampling_vector_all(list(1,1),4) == sampling_vector_all(list(2,1),4));
            sampling_vector_all(list(1,:),:) = [];
            count = count - 1;
        end
    end
    [row_sampling_vector_all not_used] = size(sampling_vector_all);
    if row_sampling_vector_all == count;
       loop_stop = 1;
    end
    clear list
end


%%% in here find center points that are equal to [0 0] and rearrange them.
%%% note: 2 march 2009. this algorithm is omitted because the two points
%%% are not included in the sampling process anymore.
% unit_UA_vector = arm_vector(1,2:3)/(dot(arm_vector(1,2:3),arm_vector(1,2:3))^0.5);
% unit_LA_vector = arm_vector(1,5:6)/(dot(arm_vector(1,5:6),arm_vector(1,5:6))^0.5);
% angle_UA_LA = acos(dot(unit_UA_vector,unit_LA_vector));
% angle_elbow_interpolation = -(pi-angle_UA_LA);
% UA_sampling_vector = [0 unit_UA_vector]*[1  0  0;0  cos(-pi/2)  sin(-pi/2);0 -sin(-pi/2)  cos(-pi/2)];
% LA_sampling_vector = [0 unit_LA_vector]*[1  0  0;0  cos(pi/2)  sin(pi/2);0 -sin(pi/2)  cos(pi/2)];
% vector = UA_sampling_vector*[1  0  0;0  cos(angle_elbow_interpolation)  sin(angle_elbow_interpolation);0 -sin(angle_elbow_interpolation)  cos(angle_elbow_interpolation)];
% angle_converge = (acos(dot(vector,LA_sampling_vector)))*180/pi;
% if angle_converge>0.01
%     'ANGLE CONVERGE is more than 0.01'
%     (angle_UA_LA*180)/pi
%     (angle_elbow_interpolation*180)/pi
%     angle_converge
% end
% if ( (angle_converge>0.01) & (max_segment >= 4))
%     list_of_E = find(sampling_vector_all(:,1) == 0);
%     [row_list_of_E unused] = size(list_of_E);
%     first_000 = sampling_vector_all(list_of_E(row_list_of_E,:),:);
%     last_000 = sampling_vector_all(list_of_E(1,:),:);
%     sampling_vector_all(list_of_E(1,:),:) = first_000;
%     sampling_vector_all(list_of_E(row_list_of_E,:),:) = last_000;
% end




% % % % % loop_stop = 0;
% % % % % count = 0;
% % % % % while loop_stop == 0
% % % % %     count = count + 1;
% % % % %     list = find(sampling_vector_all(:,1) == sampling_vector_all(1,1));
% % % % %     [row_list not_used] = size(list);
% % % % %     new_sampling_vector_all(count,1:4) = sampling_vector_all(1,:);
% % % % %     if row_list > 1
% % % % %         if (sampling_vector_all(list(1,1),4) == sampling_vector_all(list(2,1),4));
% % % % %             sampling_vector_all(list,:) = []
% % % % %         end
% % % % %     else
% % % % %        sampling_vector_all(list,:) = []
% % % % %     end
% % % % %     if isempty(sampling_vector_all)
% % % % %        loop_stop = 1;
% % % % %     end
% % % % % end    
