function [profile_additional_points] = bezier_for_profile_version_2_FDM_phase_1 


load('C:\MATLAB7\work\OUTPUT\FDM VALIDATION PHASE 1\profile_coordinates_modified_any.mat')
load('C:\MATLAB7\work\OUTPUT\FDM VALIDATION PHASE 1\attach_profile.mat')
attach_profile_UAF_E_LAF = [attach_profile(1,:);attach_profile(3,:);attach_profile(5,:)];

[new_coordinates]=redefine_profile(attach_profile_UAF_E_LAF,profile_coordinates_modified_any);
[bspline_control_points,knots,t_parameter]=bspline_interpolation(new_coordinates);

[coordinates_bspline,t_all] = drawing_bspline_3D(knots,bspline_control_points);

[inserted_knot_UAM] = determining_inserted_knot(attach_profile(2,:),coordinates_bspline);
[inserted_knot_E] = determining_inserted_knot(attach_profile(3,:),coordinates_bspline);
[inserted_knot_LAM] = determining_inserted_knot(attach_profile(4,:),coordinates_bspline);
[knots,bspline_control_points] = knot_insertion(knots,bspline_control_points,[inserted_knot_UAM;inserted_knot_E;inserted_knot_LAM]);

t_parameter = knots;
[tf,loc] = min(t_parameter) ;
t_parameter(loc:loc+3,:) =[];
[tf,loc] = max(t_parameter) ;
t_parameter(loc:loc+3,:) =[];

[row col]=size(t_parameter);
for i=1:row    
    new_t_parameter(((i-1)*3+1):i*3,1) = t_parameter(i,:)*ones(3,1);
end

[knots,bspline_control_points] = knot_insertion(knots,bspline_control_points,new_t_parameter);

%% select the bezier.

%% for UAM: get the index of the closest bspline_control_points_start.
%% for E: get the index of the closest bspline_control_points_start.
%% for LAM: get the index of of the closest bspline_control_points_start.

load('C:\MATLAB7\work\OUTPUT\FDM VALIDATION PHASE 1\vector_coordinates_system.mat')
[row_bspline_control_points unused] = size(bspline_control_points);
count = 0;
for i=1:4:row_bspline_control_points
    count = count+1;
    bspline_control_points_start(count,1:4) = [bspline_control_points(i,:) i];
end


[row_bspline_control_points_start unused] = size(bspline_control_points_start);
for i=1:row_bspline_control_points_start
    vector_1 = bspline_control_points_start(i,1:3)-attach_profile(2,:);
    vector_2 = bspline_control_points_start(i,1:3)-attach_profile(3,:);
    vector_3 = bspline_control_points_start(i,1:3)-attach_profile(4,:);
    distance_1(i,1) = dot(vector_1,vector_1)^0.5;
    distance_2(i,1) = dot(vector_2,vector_2)^0.5;
    distance_3(i,1) = dot(vector_3,vector_3)^0.5;
end

index = find(distance_1 == min(distance_1(:,1)));
start_bezier_point = bspline_control_points_start(index,4);


index = find(distance_2 == min(distance_2(:,1)));
e_bezier_point_1 = bspline_control_points_start(index-1,4)+3  ;
bspline_control_points(e_bezier_point_1,1:3);
e_bezier_point_2 = bspline_control_points_start(index,4)      ;
bspline_control_points(e_bezier_point_2,1:3) ;


%% end bezier 
index = find(distance_3 == min(distance_3(:,1)))   ;         
end_bezier_point = bspline_control_points_start(index,4)-1 ;

count = 0;
for i=1:2
    if i==1
        start_element = start_bezier_point;
        end_element =  e_bezier_point_1;
    else
        start_element = e_bezier_point_2;
        end_element =  end_bezier_point;
    end
    bezier_profile = bspline_control_points(start_element:end_element,:);
    lngth_cum_profile = continuous_subdivision(bezier_profile);
    [row_profile unused] = size(lngth_cum_profile);
    for j=1:2
        if j==1
           factor = 1/3;
        else
           factor = 2/3;
        end
        length_partial = factor*lngth_cum_profile(row_profile,2);
        for k=1:row_profile
            if lngth_cum_profile(k,2)>length_partial
                count = count+1;
                if lngth_cum_profile(k-1,1)==1
                   lngth_cum_profile(k-1,1) = 0 ;
                end
                    
                ratio = (length_partial-lngth_cum_profile(k-1,2))/(lngth_cum_profile(k,2)-lngth_cum_profile(k-1,2));
                u = ratio*(lngth_cum_profile(k,1)-lngth_cum_profile(k-1,1))+lngth_cum_profile(k-1,1);;
                if lngth_cum_profile(k-1,3) == lngth_cum_profile(k,3) ;
                    chosen_bezier = bezier_profile(lngth_cum_profile(k-1,3): (lngth_cum_profile(k-1,3)+3),1:3);
                else;
                    chosen_bezier = bezier_profile(lngth_cum_profile(k,3): (lngth_cum_profile(k,3)+3),1:3) ;  
                end
                [coefficient] = calculate_poly_bezier(chosen_bezier);;
                profile_additional_points(count,1:3) = transpose(coefficient*[u^3;u^2;u;1]);
            break
        end
        end
    end    
end