function [bezier_coordinates]=bspline_to_bezier(interpolated_P)


[int_control_points,knots,t_parameter]=bspline_interpolation(interpolated_P);
[row col] = size(int_control_points);

if row<=4
   [control_points] = add_control_points_for_bspline_interpolation(knots,int_control_points);
   for i=1:(row -1)
       distance = interpolated_P(i+1,:)-interpolated_P(i,:);
       test_difference = dot(distance,distance)^0.5
       if i == 1
          difference = test_difference;
          j = i;
       else
           if (difference < test_difference);
               difference = test_difference;
               j = i;
           end
       end
   end
   min_list = find(control_points(:,1) >(interpolated_P(j,1)));
   max_list = find(control_points(:,1) <(interpolated_P(j+1,1)));
   candidate_points = control_points((min_list+1):(max_list-1),1:2);
   
   if isempty(max_list)
        candidate_points = control_points((min_list+1):(max(min_list)),1:2);
   elseif isempty(min_list)
        candidate_points = control_points(1:(max_list-1),1:2);
   end
   [row_candidate col] = size(candidate_points);
   if rem(row_candidate,2) == 0
       interpolated_P = [interpolated_P(1:j,:);candidate_points(row_candidate/2,:);interpolated_P(j+1:row,:)];
   else
       interpolated_P = [interpolated_P(1:j,:);candidate_points((row_candidate-1)/2,:);interpolated_P(j+1:row,:)];
   end
   [int_control_points,knots,t_parameter]=bspline_interpolation(interpolated_P);
end

[ext_knots,bezier_coordinates] = knot_insertion_from_process_sampling_data(knots,int_control_points);








