function [inserted_knot] = determining_inserted_knot(attach_profile,bspline_points)

[row_bspline_points unused] = size(bspline_points);
count = 0;
for i = 1:row_bspline_points
    count = count+1;
    vector= bspline_points(i,:)-attach_profile;
    distance(count,1:2) = dot(vector,vector)^0.5;
end

index = find(distance(:,1) == min(distance(:,1)));
has_to_blarger = bspline_points(index,:) - bspline_points(index-1,:);
has_to_blarger = dot(has_to_blarger,has_to_blarger)^0.5;
has_to_bsmaller = attach_profile - bspline_points(index-1,:);
has_to_bsmaller = dot(has_to_bsmaller,has_to_bsmaller)^0.5;

if has_to_blarger>has_to_bsmaller
    bezier_chosen = [bspline_points(index-1,:)  bspline_points(index,:)];
    index = index - 1;
else
    bezier_chosen = [bspline_points(index,:)  bspline_points(index+1,:)];
    has_to_larger = bspline_points(index,:)-bspline_points(index+1,:);
    has_to_blarger = dot(has_to_blarger,has_to_blarger)^0.5;
end

distance_attach = attach_profile-bezier_chosen(1,1:3);
distance_attach = dot(distance_attach,distance_attach)^0.5;
inserted_knot = (distance_attach/has_to_blarger)*0.01 + (index-1)*0.01;
