function [new_coordinates]=redefine_profile(attach_profile,coordinates)

%% create the plane from attach profile
count = 0;
for i=1:2:3
    count = count+1;
    v_attach_1 = attach_profile(i,:)-attach_profile(2,:);
    l = (v_attach_1(1,1)^2+ v_attach_1(1,2)^2+ v_attach_1(1,3)^2)^0.5;
    v_attach(count,:) = v_attach_1/l;
    clear v_attach_1
end

normal_plane = cross(v_attach(2,:),v_attach(1,:));
l = (normal_plane(1,1)^2+ normal_plane(1,2)^2+ normal_plane(1,3)^2)^0.5;
normal_plane = normal_plane/l;
d = -dot(normal_plane,attach_profile(1,:));

z =0;
%% end of create the plane from attach profile


%% find the intersection of 3D line with the plane from attach profile
[row col]=size(coordinates);
count = 0;
for i=1:row
    count = count+1;
    O = coordinates(i,:);
    D = [1 0 0];
    t = -(d + dot(normal_plane,O))/(dot(normal_plane,D));
    new_coordinates(count,1:3) = O+D*t;
end
%% end of find the intersection of 3D line with the plane from attach profile

