function [sub_bezier_1,sub_bezier_2] = subdivide_quadratic_bezier(bezier)

P0 = bezier(1,:);
P1 = bezier(2,:);
P2 = bezier(3,:);

P01 = (P0+P1)/2;
P12 = (P1+P2)/2;

P012 = (P01 + P12)/2;

sub_bezier_1 = [P0;P01;P012;];
sub_bezier_2 = [P012;P12;P2];

